(function ($) {
    "use strict";

    function proPicURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                var preview = $(input).parents('.thumb').find('.profilePicPreview');
                $(preview).css('background-image', 'url(' + e.target.result + ')');
                $(preview).addClass('has-image');
                $(preview).hide();
                $(preview).fadeIn(650);
            }
            reader.readAsDataURL(input.files[0]);
        }
    }
    $(".profilePicUpload").on('change', function () {
        proPicURL(this);
    });

    $(".remove-image").on('click', function () {
        $(this).parents(".profilePicPreview").css('background-image', 'none');
        $(this).parents(".profilePicPreview").removeClass('has-image');
        $(this).parents(".thumb").find('input[type=file]').val('');
    });


    $(document).on('click', '.depositBtn', function () {
        $('#depositModal').toggleClass('show');
    });

    $(document).on('click', '.withdrawalBtn', function () {
        $('#withdrawalModal').toggleClass('show');
    });

    // banner dynamic color 

    let colorWords = $('.dynamicColor').data('color_word');
    if (colorWords) {
        let heading = $('.dynamicColor');
        let text = heading.text().split(' ');

        for (let i = 0; i < text.length; i++) {
            if (colorWords.includes(i + 1)) {
                text[i] = '<span class="text--base">' + text[i] + '</span>';
            }
        }

        heading.html(text.join(' '));
    }
})(jQuery);
