(function ($) {
  "use strict";

  // ============== Header Hide Click On Body Js Start ========
  $('.header-button').on('click', function () {
    $('.header-overlay').toggleClass('show')
  });
  $('.header-overlay').on('click', function () {
    $('.header-button').trigger('click')
    $(this).removeClass('show');
  });
  // =============== Header Hide Click On Body Js End =========
  // ==========================================
  //      Start Document Ready function
  // ==========================================
  $(document).ready(function () {

    // ============================== Light & Dark Mode Js Start=====================
    const toggleSwitch = document.querySelector('.theme-switch input[type="checkbox"]');
    const currentTheme = localStorage.getItem('theme');
    if (currentTheme) {
      document.documentElement.setAttribute('data-theme', currentTheme);

      if (currentTheme === 'dark') {
        toggleSwitch.checked = true;
      }
    }

    function switchTheme(e) {
      if (e.target.checked) {
        document.documentElement.setAttribute('data-theme', 'dark');
        localStorage.setItem('theme', 'dark');
      } else {
        document.documentElement.setAttribute('data-theme', 'light');
        localStorage.setItem('theme', 'light');
      }
    }
    toggleSwitch.addEventListener('change', switchTheme, false);
    // ============================== Light & Dark Mode Js End============================== 

    // ================== Sm Device Search Js Start ==========
    $('.search-icon-btn').on('click', function () {
      $(this).toggleClass('change-icon');
      $('.search-box').toggleClass('show');
      $('.body-overlay-transparent').toggleClass('show');
    });
    $('.body-overlay-transparent').on('click', function () {
      $(this).removeClass('show');
      $('.search-box').removeClass('show');
      $('.search-icon-btn').removeClass('change-icon');
    });
    // ================== Sm Device Search Js End ==========

    // ================== Sm Device Search Js Start ==========
    $('.profile__img').on('click', function () {
      $('.profile-dropdown-wrapper').toggleClass('show')
      $('.sidebar-overlay').toggleClass('show');
      $('body').toggleClass('scroll-hidden-sm');
      $('.body-overlay-transparent').toggleClass('show');
    });
    $('.sidebar-overlay, .profile-dropdown__close, .body-overlay-transparent').on('click', function () {
      $('.profile-dropdown-wrapper').removeClass('show')
      $('.sidebar-overlay').removeClass('show');
      $('body').removeClass('scroll-hidden-sm');
      $('.body-overlay-transparent').removeClass('show');
    });
    // ================== Sm Device Search Js End ==========

    // ================== Sm Device Search Js Start ==========
    $('.wallet').on('click', function () {
      $('.wallet-sidebar').toggleClass('show');
      $('.header').toggleClass('white-bg');
      $('.sidebar-overlay').toggleClass('show-overlay');
      $('body').toggleClass('scroll-hidden');
    });
    $('.wallet-sidebar__close, .sidebar-overlay').on('click', function () {
      $('.wallet-sidebar').removeClass('show')
      $('.sidebar-overlay').removeClass('show-overlay');
      $('body').removeClass('scroll-hidden');
      $('.header').removeClass('white-bg');
    });
    // ================== Sm Device Search Js End ==========

    // ========================= AlexFoxy Js Start ===================================
    window.onload = function () {
      lax.init()

      // Add a driver that we use to control our animations
      lax.addDriver('scrollY', function () {
        return window.scrollY
      })
      lax.addElements(".banner-thumb", {
        scrollY: {
          scale: [
            [1, "screenHeight"],
            [1, 1.5]
          ],
          opacity: [
            [0, "screenHeight/2", "screenHeight"],
            [1, .7, .5]
          ],
        }
      });
    }
    // ========================= AlexFoxy Js End ===================================

    // ========================= Image Upload Js End ===================================
    function initImageUpload(box) {
      let uploadField = box.querySelector('.image-upload');

      uploadField.addEventListener('change', getFile);

      function getFile(e) {
        let file = e.currentTarget.files[0];
        checkType(file);
      }

      function previewImage(file) {
        let thumb = box.querySelector('.js--image-preview'),
          reader = new FileReader();

        reader.onload = function () {
          thumb.style.backgroundImage = 'url(' + reader.result + ')';
        }
        reader.readAsDataURL(file);
        thumb.className += ' js--no-default';
      }

      function checkType(file) {
        let imageType = /image.*/;
        if (!file.type.match(imageType)) {
          throw 'Datei ist kein Bild';
        } else if (!file) {
          throw 'Kein Bild gewählt';
        } else {
          previewImage(file);
        }
      }

    }
    // initialize box-scope
    var boxes = document.querySelectorAll('.box');

    for (let i = 0; i < boxes.length; i++) {
      let box = boxes[i];
      initDropEffect(box);
      initImageUpload(box);
    }

    /// drop-effect
    function initDropEffect(box) {
      let area, drop, areaWidth, areaHeight, maxDistance, dropWidth, dropHeight, x, y;

      // get clickable area for drop effect
      area = box.querySelector('.js--image-preview');
      area.addEventListener('click', fireRipple);

      function fireRipple(e) {
        area = e.currentTarget
        // create drop
        if (!drop) {
          drop = document.createElement('span');
          drop.className = 'drop';
          this.appendChild(drop);
        }
        // reset animate class
        drop.className = 'drop';

        // calculate dimensions of area (longest side)
        areaWidth = getComputedStyle(this, null).getPropertyValue("width");
        areaHeight = getComputedStyle(this, null).getPropertyValue("height");
        maxDistance = Math.max(parseInt(areaWidth, 10), parseInt(areaHeight, 10));

        // set drop dimensions to fill area
        drop.style.width = maxDistance + 'px';
        drop.style.height = maxDistance + 'px';

        // calculate dimensions of drop
        dropWidth = getComputedStyle(this, null).getPropertyValue("width");
        dropHeight = getComputedStyle(this, null).getPropertyValue("height");

        // calculate relative coordinates of click
        // logic: click coordinates relative to page - parent's position relative to page - half of self height/width to make it controllable from the center
        x = e.pageX - this.offsetLeft - (parseInt(dropWidth, 10) / 2);
        y = e.pageY - this.offsetTop - (parseInt(dropHeight, 10) / 2) - 30;

        // position drop and animate
        drop.style.top = y + 'px';
        drop.style.left = x + 'px';
        drop.className += ' animate';
        e.stopPropagation();

      }
    }
    // ========================= Image Upload Js Start ===================================

    // ========================= Nft Card Dropdown Js Start ===================================
    $(document).on('click', '.nft-card__dots', function () {
      $(this).find('.ellipsis-dropdown').toggleClass('show');
    });

    $(document).on('focusout', '.nft-card__dots', function () {
      $('.ellipsis-dropdown').removeClass('show')
    });

    $(document).on('click', '.nft-card__dots .dot', function () {
      $(this).toggleClass('show');
    });

    $(document).on('focusout', '.nft-card__dots .dot', function () {
      $(this).removeClass('show')
    });
    // ========================= Nft Card Dropdown Js End ===================================

    // ========================= Nft Page Filter Btn Js Start ===================================
    $('.filter-btn').on('click', function () {
      $(this).toggleClass('change');
      $('.nft-sidebar').toggleClass('sidebar-toggle');
      $('.nft__body').toggleClass('full-width');
      $('.nft-card-wrapper').toggleClass('more-card');
      $('.nft-card-two-wrapper').toggleClass('more-card');
      $('.sidebar-overlay').toggleClass('visible-overlay');
      $('body').toggleClass('scroll-hidden-sm');
    });

    $('.sidebar-overlay').on('click', function () {
      $('.nft-sidebar').removeClass('sidebar-toggle');
      $(this).removeClass('visible-overlay');
    });
    $('.nft-sidebar__close-inner .icon').on('click', function () {
      $('.nft-sidebar').removeClass('sidebar-toggle');
      $('.sidebar-overlay').removeClass('visible-overlay');
    });
    // ========================= Nft Page Filter Btn Js End ===================================

    // ========================= Custom Modal Js Start ===================================
    $(document).on('click', '.customModal', function () {
      $('.body-overlay').addClass('show-model-overlay');
      $('body').addClass('scroll-hidden');
    });

    $(document).on('click', '.body-overlay, .custom-modal__close, .modalCloseBtn', function () {
      $('.body-overlay').removeClass('show-model-overlay');
      $('.custom-modal').removeClass('show');
      $('body').removeClass('scroll-hidden');
    });
    // ========================= Custom Modal Js End ===================================


    // =========================== Profile Banner Image Upload Js Start ===================================
    $('#profile_image').on('change', function () {
      const file = document.getElementById("profile_image").files[0];
      const reader = new FileReader();
      reader.onloadend = function () {
        document.getElementById('profileBg').style.backgroundImage = "url(" + reader.result + ")";
      }
      if (file) {
        reader.readAsDataURL(file);
      }
    });

    // Banner Bg Image
    $('#cover_image').on('change', function () {
      const file = document.getElementById("cover_image").files[0];
      const reader = new FileReader();
      reader.onloadend = function () {
        document.getElementById('coverBg').style.backgroundImage = "url(" + reader.result + ")";
      }
      if (file) {
        reader.readAsDataURL(file);
      }
    });

    // =========================== Profile Banner Image Upload Js End ===================================

  });
  // ==========================================
  //      End Document Ready function
  // ==========================================

  // ========================= Preloader Js Start =====================
  $(window).on("load", function () {
    $('.preloader').fadeOut();
  })
  // ========================= Preloader Js End=====================

  //============================ Scroll To Top Icon Js Start =========
  var btn = $('.scroll-top');

  $(window).scroll(function () {
    if ($(window).scrollTop() > 300) {
      btn.addClass('show');
    } else {
      btn.removeClass('show');
    }
  });

  btn.on('click', function (e) {
    e.preventDefault();
    $('html, body').animate({
      scrollTop: 0
    }, '300');
  });
  //========================= Scroll To Top Icon Js End ======================
  $('.select2').select2();
  $(function () {
    $('[data-bs-toggle="tooltip"]').tooltip();
  });
})(jQuery);