<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Deposit;

class DepositController extends Controller
{
    public function deposit()
    {
        $pageTitle = 'Deposit History';
        $deposits  = Deposit::searchable(['transaction_hash', 'user:wallet'])->dateFilter()->with('user')->orderBy('id', 'desc')->paginate(getPaginate());

        return view('admin.deposit.log', compact('pageTitle', 'deposits'));
    }

    public function details($id)
    {
        $deposit   = Deposit::where('id', $id)->with('user')->firstOrFail();
        $pageTitle = (@$deposit->user->username ?? showAddress(@$deposit->user->wallet)) . ' requested ' . showAmount($deposit->amount) . ' ' . marketplaceCurrency();
        $details   = ($deposit->detail != null) ? json_encode($deposit->detail) : null;
        return view('admin.deposit.detail', compact('pageTitle', 'deposit', 'details'));
    }
}
