<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Withdrawal;

class WithdrawalController extends Controller
{
    public function log()
    {
        $pageTitle   = 'Withdrawals Log';
        $withdrawals = Withdrawal::searchable(['user:wallet'])->dateFilter()->with('user')->orderBy('id', 'desc')->paginate(getPaginate());

        return view('admin.withdraw.withdrawals', compact('pageTitle', 'withdrawals'));
    }

    public function details($id)
    {
        $withdrawal = Withdrawal::where('id', $id)->with('user')->firstOrFail();
        $pageTitle  = (@$withdrawal->user->username ?? showAddress(@$withdrawal->user->wallet)) . ' Withdraw Requested ' . showAmount($withdrawal->amount) . ' ' . marketplaceCurrency();

        return view('admin.withdraw.detail', compact('pageTitle', 'withdrawal'));
    }
}
