<?php

namespace App\Lib;

use Illuminate\Support\Facades\Http;

class NFTStorage
{
    public static function upload($file, $isRaw = false)
    {
        $httpRequest = Http::withToken(gs()->nft_storage_api);
        if ($isRaw) {
            $url      = 'https://api.pinata.cloud/pinning/pinJSONToIPFS';
            $input    = [
                "pinataContent" => $file,
                "pinataMetadata" => [
                    "name" => "NFT Metadata - " . uniqid() . ".json"
                ],
            ];
            $httpRequest = $httpRequest->withHeaders([
                'Content-Type: application/json',
            ]);
        } else {
            $url = 'https://api.pinata.cloud/pinning/pinFileToIPFS';
            $httpRequest = $httpRequest->asMultipart();
            $input    = [
                ['name'     => "file", 'contents' => file_get_contents($file), 'filename' => "NFT " . $file->getMimeType() . " - " . uniqid() . "." . pathinfo($file->getClientOriginalName(), PATHINFO_EXTENSION)]
            ];
        }
        $response = $httpRequest->post($url, $input);
        $response = $response->json();
        $cid      = @$response['IpfsHash'];
        return $cid ? 'https://ipfs.io/ipfs/' . $cid : '';
    }
}
