<?php

namespace App\Models;

use App\Constants\Status;
use App\Traits\GlobalStatus;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use GlobalStatus;

    public function scopeActive($query)
    {
        $query->where('status', Status::ENABLE);
    }

    public function scopeFeatured($query)
    {
        $query->where('status', Status::ENABLE)->where('is_featured', Status::YES);
    }

    public function featuredBadge(): Attribute
    {
        return new Attribute(
            get: fn () => $this->featuredBadgeData(),
        );
    }

    public function featuredBadgeData()
    {
        $html = '';
        if ($this->is_featured == Status::YES) {
            $html = '<span class="badge badge--success">' . trans('Yes') . '</span>';
        } else {
            $html = '<span><span class="badge badge--warning">' . trans('No') . '</span></span>';
        }
        return $html;
    }

}
