<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Cache;

class Contract extends Model
{
    use HasFactory;
    protected $casts = [
        'parameters' => 'object'
    ];
    public function scopeMarketplace($query)
    {
        $query->where('act', 'marketplace');
    }
    public function scopeNft($query)
    {
        $query->where('act', 'nft');
    }

    protected static function boot()
    {
        parent::boot();
        static::saved(function () {
            Cache::forget('marketplace_currency');
            Cache::forget('network');
            Cache::forget('my_token_sym');
            Cache::forget('my_token_name');
        });
    }
}
