@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-xl-4 col-lg-12">
            <div class="card card-info mb-5">
                <div class="card-header">
                    <h5 class="card-title mb-0"><img src="{{ asset('assets/images/statistics/bid.png') }}" alt="bid">@lang('Bid Counts')</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-6 col-md-12 col-xxl-6 custom-col-2">
                            <div class="card-body-top">
                                <h6 class="card-body-top-text">@lang('All Time')</h6>
                                <h2 class="card-body-top-number">{{ $widget['all_time_bid_count'] }}</h2>
                            </div>
                        </div>
                        <div class="col-sm-6 col-md-4 col-xl-12 col-xxl-6 custom-col">
                            <div class="card-body-bottom-item">
                                <p class="title">@lang('Today vs Yesterday')</p>
                                <h2 class="info">@php echo compareValue($widget['today_bid_count'], $widget['yesterday_bid_count']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item two">
                                <p class="title">@lang('This Week vs Last Week')</p>
                                <h2 class="info">@php echo compareValue($widget['this_week_bid_count'], $widget['last_week_bid_count']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item three">
                                <p class="title">@lang('This Year vs Last Year')</p>
                                <h2 class="info">@php echo compareValue($widget['this_year_bid_count'], $widget['last_year_bid_count']) @endphp</h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-lg-12">
            <div class="card card-info mb-5">
                <div class="card-header">
                    <h5 class="card-title mb-0"><img src="{{ asset('assets/images/statistics/mint.png') }}" alt="mint">@lang('NFT Mint')</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-6 col-md-12 col-xxl-6 custom-col-2">
                            <div class="card-body-top">
                                <h6 class="card-body-top-text">@lang('All Time')</h6>
                                <h2 class="card-body-top-number">{{ $widget['all_time_nft_mint'] }}</h2>
                            </div>
                        </div>
                        <div class="col-sm-6 col-md-4 col-xl-12 col-xxl-6 custom-col">
                            <div class="card-body-bottom-item">
                                <p class="title">@lang('Today vs Yesterday')</p>
                                <h2 class="info">@php echo compareValue($widget['today_nft_mint'], $widget['yesterday_nft_mint']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item two">
                                <p class="title">@lang('This Week vs Last Week')</p>
                                <h2 class="info">@php echo compareValue($widget['this_week_nft_mint'], $widget['last_week_nft_mint']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item three">
                                <p class="title">@lang('This Year vs Last Year')</p>
                                <h2 class="info">@php echo compareValue($widget['this_year_nft_mint'], $widget['last_year_nft_mint']) @endphp</h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-lg-12">
            <div class="card card-info mb-5">
                <div class="card-header">
                    <h5 class="card-title mb-0"><img src="{{ asset('assets/images/statistics/burn.png') }}" alt="burn">@lang('Burn NFT')</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-6 col-md-12 col-xxl-6 custom-col-2">
                            <div class="card-body-top">
                                <h6 class="card-body-top-text">@lang('All Time')</h6>
                                <h2 class="card-body-top-number">{{ $widget['all_time_nft_burn'] }}</h2>
                            </div>
                        </div>
                        <div class="col-sm-6 col-md-4 col-xl-12 col-xxl-6 custom-col">
                            <div class="card-body-bottom-item">
                                <p class="title">@lang('Today vs Yesterday')</p>
                                <h2 class="info">@php echo compareValue($widget['today_nft_burn'], $widget['yesterday_nft_burn']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item two">
                                <p class="title">@lang('This Week vs Last Week')</p>
                                <h2 class="info">@php echo compareValue($widget['this_week_nft_burn'], $widget['last_week_nft_burn']) @endphp</h2>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-4 col-xl-12 col-xxl-12 custom-col">
                            <div class="card-body-bottom-item three">
                                <p class="title">@lang('This Year vs Last Year')</p>
                                <h2 class="info">@php echo compareValue($widget['this_year_nft_burn'], $widget['last_year_nft_burn']) @endphp</h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row g-4">
        <div class="col-12">
            <div class="card full-view-views grap-card">
                <div class="card-header">
                    <h5 class="card-title"><span><i class="las la-th-large"></i></span> @lang('Daily Views')</h5>
                    <div class="d-flex justify-content-sm-end gap-2">
                        <button class="exit-btn fullScreenToggle" data-graph="views">
                            <i class="las la-compress"></i>
                            <i class="las la-compress-arrows-alt"></i>
                        </button>
                        <select name="views_time" class="widget_select">
                            <option value="week">@lang('Current Week')</option>
                            <option value="month" selected>@lang('Current Month')</option>
                            <option value="year">@lang('Current Year')</option>
                        </select>
                    </div>
                </div>
                <div class="card-body text-center pb-0 px-0">
                    <div class="row align-items-center">
                        <div class="col-md-12">
                            <div class="graph-body-top">
                                <h3 class="graph-time">
                                    <span class="graph-time-type">
                                        @lang('This') <span class="time_type"></span> @lang('view')
                                    </span>
                                    <span class="total_value"></span>
                                    <p class="up_down"></p>
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div class="chart_canvas">
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-6">
            <div class="card full-view-bid">
                <div class="card-header">
                    <div class="row g-2 align-items-center">
                        <div class="col-sm-6">
                            <h5 class="card-title mb-0"><span><i class="las la-th-large"></i></span> @lang('Bids Overview')</h5>
                        </div>
                        <div class="col-sm-6 text-sm-end">
                            <div class="d-flex justify-content-sm-end gap-2">
                                <button class="exit-btn fullScreenToggle" data-graph="bid">
                                    <i class="las la-compress"></i>
                                    <i class="las la-compress-arrows-alt"></i>
                                </button>
                                <select name="bid_time" class="widget_select">
                                    <option value="week">@lang('Current Week')</option>
                                    <option value="month" selected>@lang('Current Month')</option>
                                    <option value="year">@lang('Current Year')</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body text-center pb-0 px-0">
                    <div class="row align-items-center">
                        <div class="graph-body-top">
                            <h3 class="graph-time">
                                <span class="graph-time-type">
                                    @lang('This') <span class="time_type"></span> @lang('bid')
                                </span>
                                <span class="total_value"></span>
                                <p class="up_down"></p>
                            </h3>
                        </div>
                    </div>
                    <div class="chart_canvas"></div>
                </div>
            </div>
        </div>
        <div class="col-xl-6">
            <div class="card full-view-purchase">
                <div class="card-header">
                    <div class="row g-2 align-items-center">
                        <div class="col-sm-6">
                            <h5 class="card-title mb-0"><span><i class="las la-th-large"></i></span> @lang('Purchases Overview')</h5>
                        </div>
                        <div class="col-sm-6 text-sm-end">
                            <div class="d-flex justify-content-sm-end gap-2">
                                <button class="exit-btn fullScreenToggle" data-graph="purchase">
                                    <i class="las la-compress"></i>
                                    <i class="las la-compress-arrows-alt"></i>
                                </button>
                                <select name="purchase_time" class="widget_select">
                                    <option value="week">@lang('Current Week')</option>
                                    <option value="month" selected>@lang('Current Month')</option>
                                    <option value="year">@lang('Current Year')</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body text-center pb-0 px-0">
                    <div class="row align-items-center">
                        <div class="graph-body-top">
                            <h3 class="graph-time">
                                <span class="graph-time-type">
                                    @lang('This') <span class="time_type"></span> @lang('purchase')
                                </span>
                                <span class="total_value"></span>
                                <p class="up_down"></p>
                            </h3>
                        </div>
                    </div>
                    <div class="chart_canvas"></div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('style')
    <style>
        .widget_select {
            padding: 3px 3px;
            font-size: 13px;
        }

        /* Update CSS */
        .card-info .card-header {
            position: relative;
            padding: 15px 16px 10px;
            border-bottom: 0;
        }

        .card-info .card-title {
            font-size: 20px;
            color: #2B2D42;
            margin: 0;
            display: flex;
            align-items: center;
            justify-content: flex-start;
            flex-wrap: wrap;
        }

        .card-info .card-title img {
            margin-right: 5px;
        }

        .card-info .dropdown {
            font-size: 24px;
            position: absolute;
            right: 10px;
            top: 5px;
            color: #2B2D42;
        }

        .card-info .card-body {
            padding: 15px 15px 25px;
        }

        .card-info .card-body-top {
            position: relative;
            margin-bottom: 30px;
        }

        .card-info .card-body-top-text {
            color: #2B2D42;
            line-height: 1;
            margin: 0;
        }

        .card-info .card-body-top-number {
            color: #2B2D42;
            line-height: 1;
            margin: 0;
        }

        .card-body-bottom-item {
            position: relative;
        }

        .card-body-bottom-item::after {
            position: absolute;
            content: '';
            background: rgba(0, 0, 0, .05);
            width: 1px;
            height: calc(100% + 25px);
            right: -10px;
            top: 0;
            bottom: 0;
            margin: auto;
        }

        .card-body-bottom-item.three::after {
            display: none;
        }

        .card-body-bottom-item .title {
            color: #2B2D42;
            font-size: 14px;
            margin-bottom: 5px;
        }

        @media (min-width: 1920px) {
            .card-info .card-body {
                padding: 15px 10px 25px;
            }

            .card-body .col-xxl-6.custom-col {
                width: 33.33333333% !important;
            }

            .card-body .col-xxl-6.custom-col-2 {
                width: 100% !important;
            }

            .card-body .col-xxl-12.custom-col {
                width: 33.33333333% !important;
            }

            .card-body-bottom-item .title {
                font-size: 12px
            }
        }

        @media (min-width: 1400px) and (max-width: 1919px) {

            .card-body-bottom-item {
                display: inline-block;
            }

            .card-body-bottom-item::after {
                display: none;
            }

            .card-body-bottom-item.two {
                margin-bottom: 20px;
            }
        }

        @media (min-width: 1200px) and (max-width: 1399px) {
            .card-body-bottom-item {
                display: inline-block;
                margin-bottom: 20px;
            }

            .card-body-bottom-item.three {
                margin-bottom: 0;
            }

            .card-body-bottom-item::after {
                display: none;
            }
        }

        @media (max-width: 1199px) {
            .card-body-bottom-item .info {
                display: inline-block !important;
            }

            .card-body-bottom-item .info span {
                margin-left: 75px;
            }

            .card-body-bottom-item::after {
                right: 5px;
            }
        }

        @media (min-width: 576px) and (max-width: 767px) {

            .card-body-bottom-item {
                display: inline-block;
            }

            .card-body-bottom-item::after {
                display: none;
            }

            .card-body-bottom-item.two {
                margin-bottom: 20px;
            }
        }

        @media (max-width: 575px) {
            .card-body-bottom-item {
                display: inline-block;
                margin-bottom: 20px;
            }

            .card-body-bottom-item.three {
                margin-bottom: 0;
            }

            .card-body-bottom-item::after {
                display: none;
            }
        }

        .card-body-bottom-item .info {
            color: #2B2D42;
            line-height: 1;
            display: flex;
            align-items: flex-end;
            justify-content: space-between;
            margin-bottom: 0;
        }

        .card-body-bottom-item .info span {
            font-size: 20px;
            color: #2B2D42;
            position: relative;
            top: -2px;
        }

        .compare-positive {
            color: #38B000 !important;
        }

        .compare-negative {
            color: #EF233C !important;
        }


        span.compare-positive>i {
            transform: rotate(-45deg);
            position: relative;
            left: 5px;
        }


        span.compare-negative>i {
            transform: rotate(45deg);
            position: relative;
            left: 5px;
        }

        @media (max-width: 1865px) {
            .card-body-bottom {
                justify-content: flex-start;
            }

            .card-body-bottom .card-body-bottom-item {
                margin-right: 55px;
                margin-bottom: 20px;
            }

            .card-body-bottom .card-body-bottom-item:last-child {
                margin-bottom: 0;
            }
        }

        @media (max-width: 1699px) {
            .card-body-bottom .card-body-bottom-item {
                margin-right: 30px;
            }
        }

        @media (max-width: 1399px) {

            .card-info .card-body-top-number,
            .card-body-bottom .card-body-bottom-item .info {
                font-size: 25px;
            }

            .card-body-bottom .card-body-bottom-item .info span {
                font-size: 16px;
            }
        }

        @media (max-width: 1199px) {
            .card-body-bottom .card-body-bottom-item {
                margin-right: 20px;
            }
        }

        @media (max-width: 991px) {
            .card-body-bottom .card-body-bottom-item {
                margin-right: 25px;
            }
        }

        @media (max-width: 767px) {
            .card-body-bottom {
                justify-content: space-between;
            }

            .card-body-bottom .card-body-bottom-item {
                margin-bottom: 0;
            }
        }

        @media (max-width: 611px) {
            .card-body-bottom .card-body-bottom-item {
                margin-bottom: 20px;
            }
        }

        @media (max-width: 575px) {
            .card-body-bottom {
                display: block;
            }

            .card-body-bottom .card-body-bottom-item .info {
                justify-content: flex-start;
            }

            .card-body-bottom .card-body-bottom-item .info span {
                margin-right: 15px;
            }
        }
    </style>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/global/js/chart.js.2.8.0.js') }}"></script>
@endpush

@push('script')
    <script>
        'use strict';
        (function($) {

            $('[name=bid_time]').on('change', function() {
                let $this = $(this);
                let time = $this.val();
                loadStatistics($this, time, 'bid');
            }).change();

            $('[name=purchase_time]').on('change', function() {
                let $this = $(this);
                let time = $this.val();
                loadStatistics($this, time, 'purchase');
            }).change();

            $('[name=views_time]').on('change', function() {
                let $this = $(this);
                let time = $this.val();
                loadStatistics($this, time, 'views');
            }).change();

            function loadStatistics($this, time, graph) {
                let url = "{{ route('admin.statistics.nft.load') }}";

                $.get(url, {
                    time,
                    graph
                }, function(response) {
                    $('.time_type').text(time);
                    $this.closest('.card').find('.total_value').text(formatAmount(response.total_value));
                    let upDown = `<small class="graph-time-prev">Previous ${time} bid was zero</small>`;
                    if (response.value_diff != 0) {
                        let className = 'success';
                        if (response.up_down != 'up') {
                            className = 'danger';
                        }
                        upDown = `<span class="badge badge-${className}-inverse font-16">${response.value_diff}%<i class="las la-arrow-${response.up_down}"></i></span>`;
                    }

                    $this.closest('.card').find('.up_down').html(upDown);
                    let chartContainer = $this.closest('.card').find('.chart_canvas');
                    chartContainer.html(`<canvas height="150" id="canvas_chart_${graph}" class="chartjs-chart mt-4"></canvas>`);

                    viewChart(response.data, graph, chartContainer);
                });
            }

            function viewChart(response, graph, chartContainer) {
                let ctx = document.getElementById(`canvas_chart_${graph}`);
                let myChart = new Chart(ctx, {
                    type: 'bar',
                    data: {
                        labels: Object.keys(response),
                        datasets: [{
                            data: Object.values(response),
                            backgroundColor: [
                                @for ($i = 0; $i < 365; $i++)
                                    '#6c5ce7',
                                @endfor

                            ],
                            borderColor: [
                                'rgba(231, 80, 90, 0.75)'
                            ],
                            borderWidth: 0,

                        }]
                    },
                    options: {
                        aspectRatio: 1,
                        responsive: true,
                        maintainAspectRatio: false,
                        elements: {
                            line: {
                                tension: 0
                            }
                        },
                        scales: {
                            xAxes: [{
                                display: true,
                                offset: true
                            }],
                            yAxes: [{
                                display: false,
                                ticks: {
                                    beginAtZero: true
                                }
                            }]
                        },
                        legend: {
                            display: false,
                        },
                        tooltips: {
                            callbacks: {
                                label: (tooltipItem, data) => data.datasets[0].data[tooltipItem.index] + (graph != 'views' ? ' {{ marketplaceCurrency() }}' : '')
                            }
                        }
                    }

                });

                chartContainer.css('height', 330 + 'px');
            }


            function formatAmount(number) {
                var numberString = number.toString();
                numberString = numberString.replace(/(\.\d*?)0+$/, '$1');
                numberString = numberString.replace(/\.0$/, '');
                return numberString;
            }

            let fullScreen = true;

            $('.fullScreenToggle').on('click', function() {
                let element;
                if ($(this).data('graph') == 'bid') {
                    element = document.querySelector(".full-view-bid");
                } else if ($(this).data('graph') == 'purchase') {
                    element = document.querySelector(".full-view-purchase");
                } else {
                    element = document.querySelector(".full-view-views");
                }
                fullScreen ? openFullScreen(element) : closeFullScreen();
                fullScreen = !fullScreen;

            });

            function openFullScreen(element) {
                if (element.requestFullscreen) {
                    element.requestFullscreen();
                } else if (element.mozRequestFullScreen) {
                    /* Firefox */
                    element.mozRequestFullScreen();
                } else if (element.webkitRequestFullscreen) {
                    /* Chrome, Safari & Opera */
                    element.webkitRequestFullscreen();
                } else if (element.msRequestFullscreen) {
                    /* IE/Edge */
                    element.msRequestFullscreen();
                }
            }

            function closeFullScreen() {
                if (document.exitFullscreen) {
                    document.exitFullscreen();
                } else if (document.mozCancelFullScreen) {
                    /* Firefox */
                    document.mozCancelFullScreen();
                } else if (document.webkitExitFullscreen) {
                    /* Chrome, Safari and Opera */
                    document.webkitExitFullscreen();
                } else if (document.msExitFullscreen) {
                    /* IE/Edge */
                    document.msExitFullscreen();
                }
            }

        })(jQuery);
    </script>
@endpush
