@extends('admin.layouts.app')
@section('panel')
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label> @lang('Pinata JWT') <code>@lang('Secret access token')</code></label>
                                    <input class="form-control" name="api_key" type="text" value="{{ gs('nft_storage_api') }}" required>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <button class="btn btn--primary w-100 h-45" type="submit">@lang('Submit')</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="nftStorageHelp" aria-labelledby="exampleModalLabel" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">@lang('NFT Storage API Key')</h5>
                    <button class="btn-close" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <strong>@lang('Steps:')</strong>
                    <p ms-2> @lang('1. Create an account on ') <a href="https://www.pinata.cloud/" target="_blank">@lang('https://www.pinata.cloud/')</a> </p>
                    <p ms-2> @lang('2. Go to the "API Keys" menu and create a new API key.') </p>
                    <p ms-2> @lang('3. Select ') <code>pinFileToIPFS</code> @lang('and') <code>pinJSONToIPFS</code> @lang('during key generation.') </p>
                    <p ms-2>@lang('3. Copy the JWT secret access token.')</p>
                    <strong class="mt-2">@lang('Screenshot:')</strong>
                    <img class="border border-2 mt-2 border--primary" src="{{ asset('assets/images/setting/setting.png') }}" />
                    <img class="border border-2 mt-2 border--primary" src="{{ asset('assets/images/setting/api.png') }}" />
                </div>
                <div class="modal-footer">
                    <button class="btn btn--dark" data-bs-dismiss="modal" type="button">Close</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('breadcrumb-plugins')
    <button class="btn btn--sm btn-outline--primary" data-bs-toggle="modal" data-bs-target="#nftStorageHelp"><i class="las la-question"></i>Help</button>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link href="{{ asset('assets/admin/css/spectrum.css') }}" rel="stylesheet">
@endpush

@push('script')
    <script>
        (function($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function(color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function() {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('select[name=timezone]').val("'{{ config('app.timezone') }}'").select2();
            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });
        })(jQuery);
    </script>
@endpush
