<div class="row">
    @foreach ($formData as $data)
        <div class="col-md-{{ @$data->width ?? '12' }}">
            <div class="form-group">
                <label class="form-label">{{ __($data->name) }} @if (@$data->instruction)
                        <span data-bs-toggle="tooltip" data-bs-title="{{ __($data->instruction) }}"><i class="fas fa-info-circle"></i></span>
                        @endif @if ($data->is_required == 'required' && ($data->type == 'checkbox' || $data->type == 'radio'))
                            <span class="text--danger">*</span>
                        @endif </label>
                @if ($data->type == 'text')
                    <input class="form-control form--control" name="{{ $data->label }}" type="text" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'url')
                    <input class="form-control form--control" name="{{ $data->label }}" type="url" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'email')
                    <input class="form-control form--control" name="{{ $data->label }}" type="email" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'datetime')
                    <input class="form-control form--control" name="{{ $data->label }}" type="datetime-local" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'date')
                    <input class="form-control form--control" name="{{ $data->label }}" type="date" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'time')
                    <input class="form-control form--control" name="{{ $data->label }}" type="time" value="{{ old($data->label) }}" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'number')
                    <input class="form-control form--control" name="{{ $data->label }}" type="number" value="{{ old($data->label) }}" step="any" @if ($data->is_required == 'required') required @endif>
                @elseif($data->type == 'textarea')
                    <textarea
                              class="form-control form--control" name="{{ $data->label }}" @if ($data->is_required == 'required') required @endif>{{ old($data->label) }}</textarea>
                @elseif($data->type == 'select')
                    <select
                            class="form-select form--control select" name="{{ $data->label }}" data-minimum-results-for-search="-1" @if ($data->is_required == 'required') required @endif>
                        <option value="">@lang('Select One')</option>
                        @foreach ($data->options as $item)
                            <option value="{{ $item }}" @selected($item == old($data->label))>{{ __($item) }}</option>
                        @endforeach
                    </select>
                @elseif($data->type == 'checkbox')
                    <div class="d-flex flex-wrap gap-3">
                        @foreach ($data->options as $option)
                            <div class="form-check">
                                <input
                                       class="form-check-input" id="{{ $data->label }}_{{ titleToKey($option) }}" name="{{ $data->label }}[]" type="checkbox" value="{{ $option }}">
                                <label class="form-check-label" for="{{ $data->label }}_{{ titleToKey($option) }}">{{ $option }}</label>
                            </div>
                        @endforeach
                    </div>
                    <div class="checkbox-required-error text--danger"></div>
                @elseif($data->type == 'radio')
                    <div class="d-flex flex-wrap gap-3">
                        @foreach ($data->options as $option)
                            <div class="form-check">
                                <input
                                       class="form-check-input" id="{{ $data->label }}_{{ titleToKey($option) }}" name="{{ $data->label }}" type="radio" value="{{ $option }}" @checked($option == old($data->label))>
                                <label class="form-check-label" for="{{ $data->label }}_{{ titleToKey($option) }}">{{ $option }}</label>
                            </div>
                        @endforeach
                    </div>
                @elseif($data->type == 'file')
                    <input
                           class="form-control form--control" name="{{ $data->label }}" type="file" @if ($data->is_required == 'required') required @endif accept="@foreach (explode(',', $data->extensions) as $ext) .{{ $ext }}, @endforeach">
                    <pre class="text--base mt-1">@lang('Supported mimes'): {{ $data->extensions }}</pre>
                @endif
            </div>
        </div>
    @endforeach
</div>
@push('script')
    <script>
        const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]')
        const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl))
    </script>
@endpush
