@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <section class="nft-blog-details py-120">
        <div class="container">
            <div class="row gy-5">
                <div class="col-lg-8">
                    <div class="blog-details">
                        <div class="thumb mb-3">
                            <img class="w-100 rounded-2 lazy" data-src="{{ getImage('assets/images/frontend/blog/' . $blog->data_values->image, '860x540') }}" alt="image">
                        </div>
                        <span class="meta mb-3"><i class="far fa-calendar-alt me-1"></i> {{ showDateTime($blog->created_at) }}</span>
                        <h2 class="title mb-4">{{ __($blog->data_values->title) }}</h2>
                        <p class="desc mb-4">
                            @php echo $blog->data_values->description @endphp
                        </p>

                        <div class="post-share d-flex align-items-center mt-5 flex-wrap">
                            <h6 class="caption">@lang('Share '): </h6>
                            <a class="item facebook" href="https://www.facebook.com/sharer/sharer.php?u={{ urlencode(url()->current()) }}" target="_blank"><i class="lab la-facebook-f"></i></a>
                            <a class="item linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url={{ urlencode(url()->current()) }}&amp;title={{ __($blog->data_values->title) }}&amp;summary={{ $blog->data_values->description }}" target="_blank"><i class="lab la-linkedin-in"></i></a>
                            <a class="item twitter" href="https://twitter.com/intent/tweet?text={{ __($blog->data_values->title) }}&amp;url={{ urlencode(url()->current()) }}" target="_blank"><i class="lab la-twitter"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 ps-xl-4">
                    <div class="blog-sidebar rounded-3">
                        <h4 class="title">@lang('Recent Post')</h4>
                        <ul class="blog-sidebar-list">
                            @foreach ($blogs as $blog)
                                <li class="blog-sidebar-item d-flex flex-wrap">
                                    <div class="thumb rounded-1">
                                        <img class="w-100 lazy" data-src="{{ getImage('assets/images/frontend/blog/thumb_' . $blog->data_values->image, '370x240') }}" alt="image">
                                    </div>
                                    <div class="content">
                                        <h6 class="title">
                                            <a class="link" href="{{ route('blog.details', $blog->slug) }}">{{ __($blog->data_values->title) }}</a>
                                        </h6>
                                        <span class="meta"><i class="las la-calendar-alt fs--14px me-1"></i> {{ showDateTime($blog->created_at, 'd M, Y') }}</span>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('fbComment')
    @php echo loadExtension('fb-comment') @endphp
@endpush
