@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <section class="nft-blog py-120">
        <div class="container">
            <h2 class="page-title mb-md-4 mb-3">{{ __($pageTitle) }}</h2>
            <div class="row justify-content-center gy-4">
                @foreach ($blogs as $blog)
                    <div class="col-lg-4 col-md-6">
                        <div class="blog-item">
                            <div class="thumb">
                                <img class="w-100 lazy" data-src="{{ getImage('assets/images/frontend/blog/thumb_' . @$blog->data_values->image, '370x240') }}" alt="image">
                            </div>
                            <div class="content">
                                <span class="meta mb-2"><i class="far fa-calendar-alt me-1"></i> {{ showDateTime($blog->created_at) }}</span>
                                <h4 class="title">
                                    <a href="{{ route('blog.details', $blog->slug) }}">{{ __(@$blog->data_values->title) }}</a>
                                </h4>
                                <p class="desc mt-3">@php echo strLimit(strip_tags(@$blog->data_values->description), 180); @endphp</p>
                                <a href="{{ route('blog.details', $blog->slug) }}" class="read-more-link mt-3">@lang('Read More') <i class="fas fa-long-arrow-alt-right ms-2"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
            {{ $blogs->links() }}
        </div>
    </section>

    @if ($sections != null)
        @foreach (json_decode($sections) as $sec)
            @include($activeTemplate . 'sections.' . $sec)
        @endforeach
    @endif
@endsection

