@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <div class="py-120">
        <div class="container">
            <h2 class="page-title mb-md-4 mb-3">{{ __($pageTitle) }}</h2>
            <div class="row gy-4 justify-content-center">
                @forelse ($categories as $category)
                    <div class="col-xl-3 col-lg-4 col-sm-6 col-xsm-6">
                        <div class="nft-category-item">
                            <div class="nft-category-item__thumb">
                                <a href="{{ route('marketplace') }}?category={{ $category->id }}" class="link"><img class="lazy" data-src="{{ getImage(getFilePath('category') . '/' . $category->image, getFileSize('category')) }}" alt="image"></a>
                            </div>
                            <div class="nft-category-item__content">
                                <h4 class="nft-category-item__title"><a href="{{ route('marketplace') }}?category={{ $category->id }}" class="link">{{ __($category->name) }}</a></h4>
                                <p class="nft-category-item__desc">{{ __($category->short_description) }}</p>
                            </div>
                        </div>
                    </div>
                @empty
                    @include($activeTemplate . 'partials.empty_message', ['message' => 'No category found!'])
                @endforelse
            </div>
            {{ $categories->links() }}
        </div>
    </div>

        @if ($sections->secs != null)
            @foreach (json_decode($sections->secs) as $sec)
                @include($activeTemplate . 'sections.' . $sec)
            @endforeach
        @endif
    
@endsection
