<!doctype html>
<html lang="{{ config('app.locale') }}" itemscope itemtype="http://schema.org/WebPage">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title> {{ gs()->siteName(__($pageTitle)) }}</title>
        @include('partials.seo')
        <meta name="csrf-token" content="{{ csrf_token() }}" />

        <!-- Bootstrap CSS -->
        <link href="{{ asset('assets/global/css/bootstrap.min.css') }}" rel="stylesheet">
        <link href="{{ asset($activeTemplateTrue . 'css/image-uploader.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/global/css/all.min.css') }}" rel="stylesheet">
        <link href="{{ asset($activeTemplateTrue . 'css/flip.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/global/css/line-awesome.min.css') }}" rel="stylesheet">
        <link href="{{ asset($activeTemplateTrue . 'css/main.css') }}" rel="stylesheet">
        <link href="{{ asset($activeTemplateTrue . 'css/custom.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/global/css/select2.min.css') }}" rel="stylesheet">
        @stack('style-lib')
        @stack('style')
        <style>
            img.lazy {
                width: 100%;
                display: block;
                background-image: url("{{ getImage('assets/images/loading.gif') }}");
                background-repeat: no-repeat;
                background-position: 50% 50%;
            }
        </style>
        <link href="{{ asset($activeTemplateTrue . 'css/color.php') }}?color={{ gs('base_color') }}&secondColor={{ gs('secondary_color') }}" rel="stylesheet">
    </head>
    @php echo loadExtension('google-analytics') @endphp

    <body class="dark-in-ligh">

        @stack('fbComment')

        <!--==================== Preloader Start ====================-->
        <div class="preloader">
            <div class="loader-p"></div>
        </div>
        <!--==================== Preloader End ====================-->

        <!--====================  header Overlay Start ====================-->
        <div class="header-overlay"></div>
        <!--====================  header Overlay End ====================-->

        <!--==================== Overlay Start ====================-->
        <div class="body-overlay"></div>
        <!--==================== Overlay End ====================-->

        <!--==================== Transparent Overlay Start ====================-->
        <div class="body-overlay-transparent"></div>
        <!--==================== Overlay End ====================-->

        <!--==================== Sidebar Overlay End ====================-->
        <div class="sidebar-overlay"></div>
        <!--==================== Sidebar Overlay End ====================-->

        <!-- ==================== Scroll to Top End Here ==================== -->
        <a class="scroll-top"><i class="fas fa-angle-double-up"></i></a>
        <!-- ==================== Scroll to Top End Here ==================== -->

        @if (!request()->routeIs('maintenance'))
            @include($activeTemplate . 'partials.wallet_sidebar')
            @include($activeTemplate . 'partials.header')
        @endif

        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>

        @yield('content')

        @if (!request()->routeIs('maintenance'))
            @include($activeTemplate . 'partials.footer')
        @endif

        @php
            $cookie = App\Models\Frontend::where('data_keys', 'cookie.data')->first();
        @endphp
        @if ($cookie->data_values->status == Status::ENABLE && !\Cookie::get('gdpr_cookie'))
            <!-- cookies dark version start -->
            <div class="cookies-card hide text-center">
                <div class="cookies-card__icon bg--base">
                    <i class="las la-cookie-bite"></i>
                </div>
                <p class="cookies-card__content mt-4">{{ $cookie->data_values->short_desc }} <a class="text--base" href="{{ route('cookie.policy') }}" target="_blank">@lang('learn more')</a></p>
                <div class="cookies-card__btn mt-4">
                    <a class="btn btn--base w-100 policy" href="javascript:void(0)">@lang('Allow')</a>
                </div>
            </div>
            <!-- cookies dark version end -->
        @endif

        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="{{ asset('assets/global/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>
        <script src="{{ asset('assets/global/js/bootstrap.bundle.min.js') }}"></script>
        <!-- image uploader js -->
        <script src="{{ asset($activeTemplateTrue . 'js/image-uploader.min.js') }}"></script>
        <!-- Bootstrap Js -->
        <!-- Alex Foxy js -->
        <script src="{{ asset($activeTemplateTrue . 'js/alexfoxy.min.js') }}"></script>
        <!-- Classic Flip Clock -->
        <script src="{{ asset($activeTemplateTrue . 'js/flip.min.js') }}"></script>
        <!-- nft js -->
        <script src="{{ asset('assets/global/js/web3.min.js') }}"></script>
        <script src="{{ asset('assets/global/js/ethers.min.js') }}"></script>
        <!-- main js -->
        <script src="{{ asset($activeTemplateTrue . 'js/main.js') }}"></script>
        <script src="{{ asset($activeTemplateTrue . 'js/custom.js') }}"></script>
        <script src="{{ asset('assets/global/js/nft.js') }}"></script>
        <script src="{{ asset('assets/global/js/jquery.lazy.min.js') }}"></script>
        <script>
            // configuration
            routes.base = `{{ route('home') }}`;
            routes.mint = `{{ route('user.nft.mint.store') }}`;
            routes.burn = `{{ route('user.nft.burn', '') }}`;
            routes.list = `{{ route('user.nft.sell.list') }}`;
            routes.unlist = `{{ route('user.marketplace.unlist', '') }}`;
            routes.purchase = `{{ route('user.marketplace.purchased', '') }}`;
            routes.bid = `{{ route('user.marketplace.bid.now', '') }}`;
            routes.updateBid = `{{ route('user.marketplace.bid.update', '') }}`;
            routes.claim = `{{ route('user.marketplace.bid.claim', '') }}`;
            nftContract = `{{ @$nftContract->contract }}`;
            marketplaceContract = `{{ @$marketplaceContract->contract }}`;
            userWallet = `{{ auth()->user()?->wallet }}`;
        </script>
        @stack('script-lib')

        @php echo loadExtension('tawk-chat') @endphp

        @include('partials.notify')

        @if (gs('pn'))
            @include('partials.push_script')
        @endif
        @stack('script')

        <script>
            (function($) {
                "use strict";

                $('.policy').on('click', function() {
                    $.get('{{ route('cookie.accept') }}', function(response) {
                        $('.cookies-card').addClass('d-none');
                    });
                });

                setTimeout(function() {
                    $('.cookies-card').removeClass('hide')
                }, 2000);

                var inputElements = $('[type=text],[type=file],[type=password],[type=email],[type=number],select,textarea');
                $.each(inputElements, function(index, element) {
                    element = $(element);
                    element.closest('.form-group').find('label').attr('for', element.attr('name'));
                    element.attr('id', element.attr('name'))
                });

                $.each($('input, select, textarea'), function(i, element) {
                    var elementType = $(element);
                    if (elementType.attr('type') != 'checkbox') {
                        if (element.hasAttribute('required')) {
                            $(element).closest('.form-group').find('label').addClass('required');
                        }
                    }

                });


                let disableSubmission = false;
                $('.disableSubmission').on('submit', function(e) {
                    if (disableSubmission) {
                        e.preventDefault()
                    } else {
                        disableSubmission = true;
                    }
                });

                window.matchMedia('(prefers-color-scheme: dark)').addEventListener('change', event => {
                    matched = event.matches;
                    if (matched) {
                        $('body').addClass('dark-mode');
                        $('.navbar').addClass('navbar-dark');
                    } else {
                        $('body').removeClass('dark-mode');
                        $('.navbar').removeClass('navbar-dark');
                    }
                });

                let matched = window.matchMedia('(prefers-color-scheme: dark)').matches;
                if (matched) {
                    $('body').addClass('dark-mode');
                    $('.navbar').addClass('navbar-dark');
                } else {
                    $('body').removeClass('dark-mode');
                    $('.navbar').removeClass('navbar-dark');
                }

                $(document).on('click', '.wishlist', function(e) {
                    e.preventDefault();
                    let itemId = $(this).data('id');
                    let $this = $(this);
                    $.ajax({
                        type: "GET",
                        url: "{{ route('item.wishlist') }}",
                        data: {
                            item_id: itemId
                        },
                        success: function(response) {
                            if (response.status == 'success') {
                                if (response.is_added == 1) {
                                    $($this).addClass('wishlisted');
                                } else {
                                    $($this).removeClass('wishlisted');
                                }
                                $($this).find('.wishlistCount').text(($($this).find('.wishlistCount').text() * 1) + response.is_added);
                                notify('success', response.message);
                            } else {
                                notify('error', response.message);
                            }
                        }
                    });
                });

                $(document).on('click', '.follow', function() {
                    let userId = $(this).data('user_id');
                    let $this = $(this);

                    $.ajax({
                        type: "GET",
                        url: "{{ route('follow') }}",
                        data: {
                            user_id: userId
                        },
                        success: function(response) {
                            if (response.status == 'success') {
                                if (response.is_added == 1) {
                                    $($this).addClass('followed');
                                    $($this).find('.icon').hide();
                                    $($this).find('.text').text(`{{ trans('Following') }}`);
                                } else {
                                    $($this).find('.icon').show();
                                    $($this).find('.text').text(`{{ trans('Follow') }}`);
                                    $($this).removeClass('followed');
                                }
                                let totalFollower = $($this).parent().find('.followerCount').text() * 1;
                                if (totalFollower < 1000) {
                                    $($this).parent().find('.followerCount').text(totalFollower + response.is_added);
                                }
                                notify('success', response.message);
                            } else {
                                notify('error', response.message);
                            }
                        }
                    });
                });

                Array.from(document.querySelectorAll('table')).forEach(table => {
                    let heading = table.querySelectorAll('thead tr th');
                    Array.from(table.querySelectorAll('tbody tr')).forEach(row => {
                        Array.from(row.querySelectorAll('td')).forEach((column, i) => {
                            (column.colSpan == 100) || column.setAttribute('data-label', heading[i].innerText)
                        });
                    });
                });
                document.onkeydown = (e) => {
                    if (e.key == 123) {
                        e.preventDefault();
                    }
                    if (e.ctrlKey && e.shiftKey && e.key == 'I') {
                        e.preventDefault();
                    }
                    if (e.ctrlKey && e.shiftKey && e.key == 'C') {
                        e.preventDefault();
                    }
                    if (e.ctrlKey && e.shiftKey && e.key == 'J') {
                        e.preventDefault();
                    }
                    if (e.ctrlKey && e.key == 'U') {
                        e.preventDefault();
                    }
                    if (e.key == 'F12') {
                        e.preventDefault();
                    }
                };
                $('.lazy').lazy({
                    afterLoad: function(element) {
                        element.removeClass('lazy');
                    }
                });
                $(function() {
                    $('[data-bs-toggle="tooltip"]').tooltip();
                });
            })(jQuery);
        </script>
        @auth
            <script>
                (function($) {
                    "use strict";
                    $(document).ready(async function() {
                        window.ethereum.on('chainChanged', function(_chainId) {
                            let network = JSON.parse(`@json(marketplaceNetwork())`);
                            let chainId = network.chain;
                            if (chainId != parseInt(_chainId, 16)) {
                                window.location.href = `{{ route('user.logout') }}`;
                            }
                        });
                    });
                })
                (jQuery)
            </script>
        @endauth
    </body>

</html>
