<header class="header {{ request()->routeIs('home') ? 'header-home' : '' }}" id="header">
    <div class="custom--container">
        <nav class="navbar navbar-expand-lg">
            <a class="navbar-brand logo logo-dark" href="{{ route('home') }}"><img src="{{siteLogo('dark')}}" alt=""></a>
            <a class="navbar-brand logo logo-light" href="{{ route('home') }}"><img src="{{siteLogo()}}" alt=""></a>
            <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span id="hiddenNav"><i class="las la-bars"></i></span>
            </button>

            <!-- Search Box Start -->
            <div class="search-box-wrapper">
                <!-- Sm screen Search icon -->
                <button type="button" class="search-icon-btn d-sm-none d-block"><i class="las la-search"></i></button>
                <!-- Sm screen Search icon -->
                <form action="{{ route('marketplace') }}" class="search-box itemSearch">
                    <div class="input--group">
                        <input type="text" class="form--control" name="search" value="{{ request()->search }}" placeholder="@lang('Search')">
                        <button type="submit" class="search-btn"><i class="las la-search"></i></button>
                    </div>
                </form>
            </div>

            <!-- Header Right Start -->
            <div class="header-right">
                @auth
                    <!-- Profile -->
                    <div class="profile">
                        <div class="profile__img">
                            <button type="button">
                                <img src="{{ getImage(getFilePath('userProfile') . '/' . auth()->user()->profile_image, avatar: 'profile') }}" alt="">
                            </button>
                        </div>

                        <div class="profile-dropdown-wrapper">
                            <ul class="profile-dropdown">
                                <li class="profile-dropdown__close d-lg-none d-block text-end pt-2">
                                    <button class="btn btn--icon btn--dark "><i class="las la-times"></i></button>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.nft.all') }}" class="profile-dropdown__link {{ menuActive('user.nft.all') }}"> <span class="icon"><i class="las la-palette"></i></span> <span class="text">@lang('NFTs')</span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.item.listed') }}" class="profile-dropdown__link {{ menuActive('user.item.listed') }}"> <span class="icon"><i class="las la-list"></i> </span> <span class="text">@lang('Listings')</span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.wishlist') }}" class="profile-dropdown__link {{ menuActive('user.wishlist') }}"> <span class="icon"> <i class="lar la-heart"></i> </span> <span class="text">@lang('Wishlist') </span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.item.unclaim.bid') }}" class="profile-dropdown__link {{ menuActive('user.item.unclaim.bid') }}"> <span class="icon"> <i class="las la-suitcase-rolling"></i> </span> <span class="text">@lang('Unclaim Bid') </span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.account.deposit.history') }}" class="profile-dropdown__link {{ menuActive('user.account.deposit.history') }}"> <span class="icon"> <i class="las la-history"></i> </span> <span class="text">@lang('Deposit History') </span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.account.withdraw.history') }}" class="profile-dropdown__link {{ menuActive('user.account.withdraw.history') }}"> <span class="icon"> <i class="las la-wallet"></i> </span> <span class="text">@lang('Withdraw History')</span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.profile.setting') }}" class="profile-dropdown__link {{ menuActive('user.profile.setting') }}"> <span class="icon"> <i class="las la-user"></i> </span> <span class="text">@lang('Profile Setting')</span> </a>
                                </li>
                                <li class="profile-dropdown__item">
                                    <a href="{{ route('user.logout') }}" class="profile-dropdown__link {{ menuActive('user.logout') }}"> <span class="icon"> <i class="las la-sign-out-alt"></i> </span> <span class="text">@lang('Logout')</span> </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                @endauth

                <!-- Header Wallet -->
                <div class="wallet">
                    <button type="button" class="wallet-btn btn btn--base btn--sm pill"> <span class="icon"><i class="fas fa-wallet"></i></span> <span class="text">
                            @auth
                                @lang('My Account')
                            @else
                                @lang('Login')
                            @endauth
                        </span> </button>
                </div>
                <!-- Light Dark Mode -->
                <div class="theme-switch-wrapper">
                    <label class="theme-switch" for="checkbox">
                        <input type="checkbox" class="d-none" id="checkbox">
                        <span class="slider btn btn--dark btn--icon circle">
                            <i class="fas fa-sun"></i>
                        </span>
                    </label>
                </div>
            </div>
            <!-- Header Right End -->

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu ms-auto">
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('marketplace') }}" aria-current="page" href="{{ route('marketplace') }}">@lang('Marketplace')</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('categories') }}" aria-current="page" href="{{ route('categories') }}">@lang('Categories')</a>
                    </li>

                    @php
                        $pages = App\Models\Page::where('tempname', $activeTemplate)
                            ->where('is_default', 0)
                            ->get();
                    @endphp

                    @foreach ($pages as $data)
                        <li class="nav-item">
                            <a class="nav-link" aria-current="page" href="{{ route('pages', [$data->slug]) }}">{{ __($data->name) }}</a>
                        </li>
                    @endforeach
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('user.nft.mint') }}" aria-current="page" href="{{ route('user.nft.mint') }}">@lang('Mint NFT')</a>
                    </li>
                </ul>

            </div>
        </nav>
    </div>
</header>

@push('script-lib')
    <script src="{{ asset('assets/global/js/web3.min.js') }}"></script>
    <script src="{{ asset('assets/global/js/ethers.min.js') }}"></script>
@endpush

@push('script')
    <script>
        var account = null;
        var signature = null;
        var message = 'Sign in koro';
        var token = null;
        var contractSet = 1;
        $('.enableEthereumButton').on('click', async () => {
            // detect wallet

            if (!window.ethereum) {
                notify('error', 'MetaMask not detected. Please install MetaMask first.');
                return;
            }
            let network = JSON.parse(`@json(marketplaceNetwork())`);
            let chainId = network.chain;
            let _chainId = await ethereum.request({ method: 'eth_chainId' });
            if(chainId != parseInt(_chainId,16)){
                notify('error', 'Please select valid network in metamask');
                notify('info', `Marketplace network is ${network.name}`);
                return;
            }

            // get wallet address
            await window.ethereum.request({
                method: 'eth_requestAccounts'
            });
            window.web3 = new Web3(window.ethereum);
            accounts = await web3.eth.getAccounts();
            account = accounts[0];

            // get unique message
            let response = await fetch('{{ route('user.web3.login') }}', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({
                    'account': account,
                    '_token': '{{ csrf_token() }}'
                })
            });
            message = (await response.json()).message;
            setTimeout(async () => {
                // get signature
                signature = await web3.eth.personal.sign(message, account);

                // verify signature
                response = await fetch('{{ route('user.web3.verify') }}', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({
                        'signature': signature,
                        '_token': '{{ csrf_token() }}'
                    })
                });
                response = await response.json();

                notify(response.type, response.message);

                // handle login
                if (response.type == 'success') {
                    setTimeout(() => {
                        window.location.href = response.redirect_url;
                    }, 2000);
                }
            }, 1500);

        })
    </script>
@endpush
