<div class="custom-modal" id="bidItemModal">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title">@lang('Bid Item')</h3>
            </div>
            <div class="custom-modal__form">
                <form action="#" class="bidItemForm">
                    <div class="form-group">
                        <label class="form--label"> @lang('Payment From')</label>
                        <select class="form--control select bg-transparent" name="payment_from">
                            <option value="wallet">@lang('Wallet')</option>
                            <option value="balance">@lang('Account Balance')</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form--label">@lang('Amount')</label>
                        <input class="form--control" name="bid_amount" type="number" step="any" required />
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn--base w-100">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";
            var itemId;
            $(document).on('click', '.bidItemBtn', function() {
                itemId = $(this).data('item_id');
                $('#bidItemModal').toggleClass('show');
            });
            
            $(document).on('submit', '.bidItemForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let fromBalance = $(this).find('[name="payment_from"]').val() == 'balance' ? true : false,
                    bidAmount = $(this).find('[name="bid_amount"]').val(),
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to bid. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('Bided successfully')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        reloadNow();
                    };
                await NFT.bid(itemId, fromBalance, bidAmount, callback);

            });
        })(jQuery);
    </script>
@endpush

