<div class="custom-modal" id="burnNftModal">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title">@lang('Confirmation Alert!')</h3>
            </div>
            <div class="custom-modal__form">
                <form class="burnNftForm" method="POST">
                    @csrf
                    <input name="tokenId" type="hidden">
                    <input name="nftId" type="hidden">
                    <p class="question">@lang('Are you sure to burn this nft?')</p>

                    <div class="form-group text-end">
                        <button type="button" class="btn btn--dark btn--xsm modalCloseBtn me-1">@lang('No')</button>
                        <button type="submit" class="btn btn--base btn--xsm">@lang('Yes')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";
            $(document).on('click', '.burnNft', function() {
                var burnModal = $('#burnNftModal');
                let tokenId = $(this).data('token_id'),
                    nftId = $(this).data('id');
                burnModal.find('[name=nftId]').val(nftId);
                burnModal.find('[name=tokenId]').val(tokenId);
                burnModal.toggleClass('show');
            });
            $(document).on('submit', '.burnNftForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let tokenId = $(this).find('[name=tokenId]').val(),
                    nftId = $(this).find('[name=nftId]').val(),
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to burn. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('NFT burned successfully')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        reloadNow()
                    };
                await NFT.burn(tokenId, nftId, callback);
            });
        })(jQuery);
    </script>
@endpush
