<div class="custom-modal" id="claimBidAmountModal">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title" id="modalTitleId">@lang('Claim bid amount')</h3>
            </div>
            <div class="custom-modal__form">
                <form action="#" class="claimBidAmountForm">
                    <div class="form-group">
                        <label class="form--label"> @lang('Claim to')</label>
                        <select class="form--control select bg-transparent" name="claim_to">
                            <option value="wallet">@lang('Wallet')</option>
                            <option value="balance">@lang('Account Balance')</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn--base w-100">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";

            var itemId;
            $(document).on('click', '.claimBidAmountBtn', function() {
                itemId = $(this).data('item_id');
                $('#claimBidAmountModal').toggleClass('show');
            });
            $(document).on('submit', '.claimBidAmountForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let claimTo = $(this).find('[name="claim_to"]').val() == 'balance' ? true : false,
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to claim bid amount. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('Bid amount claimed successfully')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        reloadNow();
                    };
                await NFT.claim(itemId, claimTo, callback);
            });

        })(jQuery);
    </script>
@endpush
