<div class="custom-modal" id="nftListingModal">
    <button class="custom-modal__close" type="button"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title">@lang('List your item to marketplace')</h3>
            </div>
            <div class="custom-modal__form">
                <form class="listNftForm" action="#">
                    <input name="tokenId" type="hidden">
                    <input name="nftId" type="hidden">

                    <div class="form-group mb-3">
                        <label class="form--label"> @lang('Select Type')</label>
                        <select class="form--control select bg-transparent" name="sell_type">
                            <option value="auction">@lang('Auction')</option>
                            <option value="sale">@lang('Sale')</option>
                        </select>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form--label amountText"> @lang('Amount')</label>
                        <div class="input-group">
                            <input class="form-control form--control" name="amount" type="number" step="any" required>
                            <span class="input-group-text">{{ marketplaceCurrency() }}</span>
                        </div>
                    </div>
                    <div class="form-group auctionEndTimeText mb-3">
                        <label class="required"> @lang('Auction end date')</label>
                        <input class="form-control form--control" name="auctionEndDateTime" type="datetime-local">
                    </div>

                    <div class="form-group">
                        <button class="btn btn--base w-100" type="submit">@lang('Submit')</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";
            let nftListingModal = $('#nftListingModal');

            $(document).on('change', '[name="sell_type"]', function() {
                let auctionEndTimeText = $('.auctionEndTimeText');
                if ($(this).val() == 'sale') {
                    $('.amountText').text('Amount');
                    auctionEndTimeText.addClass('d-none');
                    auctionEndTimeText.find('input').removeAttr('required');
                } else {
                    $('.amountText').text('Minimum Amount');
                    auctionEndTimeText.removeClass('d-none');
                    auctionEndTimeText.find('input').attr('required', 'required');
                }
            }).change();

            $(document).on('click', '.sellNft', function() {
                let tokenId = $(this).data('token_id'),
                    nftId = $(this).data('id');
                nftListingModal.find('[name=nftId]').val(nftId);
                nftListingModal.find('[name=tokenId]').val(tokenId);
                nftListingModal.toggleClass('show');
            });

            $(document).on('submit', '.listNftForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let tokenId = nftListingModal.find('[name=tokenId]').val(),
                    nftId = nftListingModal.find('[name=nftId]').val(),
                    sellType = nftListingModal.find('[name=sell_type]').val(),
                    amount = nftListingModal.find('[name=amount]').val(),
                    auctionEndDateTime = nftListingModal.find('[name=auctionEndDateTime]').val(),
                    auctionDateTimeInUnix = 0,
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to listing. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('NFT Listed')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        reloadNow()
                    };
                if (!amount) {
                    notify('error', `@lang('please enter amount')`);
                    return;
                }
                if (sellType == 'auction') {
                    if (!auctionEndDateTime) {
                        notify('error', `@lang('please enter auction date')`)
                    };
                    auctionDateTimeInUnix = Math.round(new Date(auctionEndDateTime).getTime() / 1000);
                }
                await NFT.list(tokenId, nftId, amount, auctionDateTimeInUnix, callback);
            });
        })(jQuery);
    </script>
@endpush
