<div class="custom-modal" id="purchaseItemModal">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title">@lang('Purchase Item')</h3>
            </div>
            <div class="custom-modal__form">
                <form action="#" class="purchaseItemForm">
                    <div class="form-group">
                        <label class="form--label"> @lang('Payment From')</label>
                        <select class="form--control select bg-transparent" name="payment_from">
                            <option value="wallet">@lang('Wallet')</option>
                            <option value="balance">@lang('Account Balance')</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn--base w-100">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {

            "use strict";
            var itemId;
            $(document).on('click','.purchaseItemBtn' , function() {
                itemId = $(this).data('item_id');
                $('#purchaseItemModal').toggleClass('show');
            });

            $(document).on('submit', '.purchaseItemForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let fromBalance = $(this).find('[name="payment_from"]').val() == 'balance' ? true : false,
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to purchased. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('Purchased successfully')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        setTimeout(() => {
                            if (type == 'success') {
                                window.location.replace(`{{ route('user.nft.all') }}`);
                            } else {
                                window.location.reload(true)
                            }
                        }, 2000);
                    };

                // purchase
                await NFT.purchase(itemId, fromBalance, callback);

            });
        })(jQuery);
    </script>
@endpush
