<div class="custom-modal confirmation-modal" id="unlistItem">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title">@lang('Confirmation Alert!')</h3>
            </div>
            <div class="custom-modal__form">
                <form class="unlistItemForm" method="POST">
                    @csrf
                    <div class="mb-3">
                        <p class="question">@lang('Are you sure to unlist this item?')</p>
                    </div>
                    <div class="form-group text-end">
                        <button type="button" class="btn btn--dark btn--xsm modalCloseBtn me-1">@lang('No')</button>
                        <button type="submit" class="btn btn--base btn--xsm">@lang('Yes')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";
            let itemId;

            $(document).on('click', '.unlistNft', function() {
                $('#unlistItem').toggleClass('show');
                itemId = $(this).data('item_id');
            });

            $(document).on('submit', '.unlistItemForm', async function(e) {
                e.preventDefault();
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                let callback = function(response) {
                    let notification = `@lang('Failed to unlist this item. Please try again.')`;
                    let type = 'error';
                    if (response) {
                        notification = `@lang('Item unlisted successfully')`;
                        type = `success`;
                    }
                    notify(type, notification);
                    $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                    reloadNow();
                }
                await NFT.unlist(itemId, callback);
            });
        })(jQuery);
    </script>
@endpush
