<div class="custom-modal" id="updateBidItemModal">
    <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
    <div class="custom-modal__inner">
        <div class="custom-modal__box">
            <div class="custom-modal__header">
                <h3 class="custom-modal__title" id="modalTitleId">@lang('Bid Item')</h3>
            </div>
            <div class="custom-modal__form">
                <form class="updateBidItemForm" action="#">

                    <div class="form-group">
                        <label class="form--label">@lang('Payment From')</label>
                        <select class="form--control select bg-transparent" name="payment_from">
                            <option value="wallet">@lang('Wallet')</option>
                            <option value="balance">@lang('Account Balance')</option>
                        </select>
                    </div>
                    <div class="form-group mb-3">
                        <label class="form--label"> @lang('Additional Amount')</label>
                        <div class="input-group">
                            <input class="form-control form--control" name="old_amount" type="number" value="{{ @$myPreviousBid->amount }}" step="any" disabled />
                            <span class="input-group-text">+</span>
                            <input class="form-control form--control" name="bid_amount" type="number" step="any" required />
                            <span class="input-group-text">=</span>
                            <input class="form-control form--control" name="total_amount" type="number" value="{{ @$myPreviousBid->amount }}" step="any" />
                        </div>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn--base w-100">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@push('script')
    <script>
        (function($) {
            "use strict";
            let itemId;
            let myPreviousBidAmount;
            $(document).on('click', '.updateBidItemModal', function() {
                itemId = $(this).data('item_id');
                myPreviousBidAmount = $(this).data('previous_bid');
                $('[name=old_amount], [name=total_amount]').val(myPreviousBidAmount);
                $('#updateBidItemModal').toggleClass('show');
            });

            $(document).on('submit', '.updateBidItemForm', async function(e) {
                $(".confirmation-loader, .confirmation-loader-2").fadeIn(300);
                e.preventDefault();
                let fromBalance = $(this).find('[name="payment_from"]').val() == 'balance' ? true : false,
                    bidAmount = $(this).find('[name="bid_amount"]').val(),
                    callback = function(response) {
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        $(".confirmation-loader, .confirmation-loader-2").fadeOut(300);
                        let notification = `@lang('Failed to update bid. Please try again.')`;
                        let type = 'error';
                        if (response) {
                            notification = `@lang('Bid updated successfully')`;
                            type = `success`;
                        }
                        notify(type, notification);
                        reloadNow();
                    };

                await NFT.updateBid(itemId, fromBalance, bidAmount, callback);
            });

            $(document).on('input', '.updateBidItemForm input[name=bid_amount]', function() {
                let additionalAmount = parseFloat($(this).val());
                if (additionalAmount < 0) {
                    notify('error', `@lang('Additional amount must be greater than zero')`)
                }
                $('.updateBidItemForm input[name=total_amount]').val(parseFloat(myPreviousBidAmount) + additionalAmount);
            });

        })(jQuery);
    </script>
@endpush
