<section class="product-details-filter {{ $class }}">
    <div class="confirmation-loader">
        <div class="cv-spinner">
            <span class="spinner"></span>
        </div>
    </div>
    <div class="confirmation-loader-2 overlay-2"></div>

    <div class="custom--container">
        <div class="product-details-filter__inner">
            <h4 class="product-details-filter__title">@lang('NFT Activity')</h4>
            <div class="product-details-filter__filter">
                <select name="nft_type" class="select form--control bg-transparent">
                    <option value="all" selected>@lang('All')</option>
                    <option value="mint">@lang('Mint')</option>
                    <option value="list">@lang('List')</option>
                    <option value="unlist">@lang('Unlist')</option>
                    <option value="purchased">@lang('Purchased')</option>
                </select>
            </div>
        </div>
        <div class="product-details-filter__table position-relative">
            <div class="scrollable-table">
                <div id="overlay">
                    <div class="cv-spinner">
                        <span class="spinner"></span>
                    </div>
                </div>
                <div class="overlay-2" id="overlay2"></div>
                <div>
                    <table class="table table--responsive--lg">
                        <thead>
                            <tr>
                                <th>@lang('Event')</th>
                                <th>@lang('Form')</th>
                                <th>@lang('To')</th>
                                <th>@lang('Amount')</th>
                                <th>@lang('TRX Hash')</th>
                                <th>@lang('Date')</th>
                            </tr>
                        </thead>
                        <tbody class="nftActivities">

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

@push('script')
    <script>
        (function($) {
            "use strict";

            let nftId = `{{ $nft_id }}`;
            let activityType = 'all';
            let lastId;
            let isTypeChange = 1;

            $(".scrollable-table").scroll(function() {
                if ((parseInt($(this)[0].scrollHeight) - parseInt(this.clientHeight)) == parseInt($(this).scrollTop())) {
                    lastId = $('.lastId:last').val();
                    isTypeChange = 0;
                    loadContent();
                }
            });

            $('[name=nft_type]').on('change', function() {
                activityType = $(this).find(':selected').val();
                lastId = null;
                isTypeChange = 1;
                loadContent();
            }).change();

            function loadContent() {
                $("#overlay, #overlay2").fadeIn(300);

                $.ajax({
                    url: `{{ route('nft.activity') }}`,
                    method: 'GET',
                    data: {
                        'nft_id': nftId,
                        activity_type: activityType,
                        last_id: lastId
                    },
                    success: function(response) {
                        $("#overlay, #overlay2").fadeOut(300);
                        if (isTypeChange) {
                            if (!response) {
                                $('.nftActivities').html(`<tr>
                                        <td class="text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>`);
                            }else{
                                $('.nftActivities').html(response);
                            }
                        } else {
                            $('.nftActivities').append(response);
                        }
                        Array.from(document.querySelectorAll('table')).forEach(table => {
                        	let heading = table.querySelectorAll('thead tr th');
                        	Array.from(table.querySelectorAll('tbody tr')).forEach(row => {
                        		Array.from(row.querySelectorAll('td')).forEach((column, i) => {
                        			(column.colSpan == 100) || column.setAttribute('data-label', heading[i]?.innerText)
                        		});
                        	});
                        });
                    }
                });
            }

        })(jQuery);
    </script>
@endpush
