@foreach ($nftActivities as $activity)
    @if ($loop->last)
        <input class="lastId" type="hidden" value="{{ $activity->id }}">
    @endif
    <tr>
        <td>
            <div class="text-icon">
                <span class="text-icon__icon">
                    @if ($activity->type == 'list')
                        <i class="fas fa-list"></i>
                    @elseif ($activity->type == 'unlist')
                        <i class="fas fa-stream"></i>
                    @elseif ($activity->type == 'mint')
                        <i class="fas fa-plus"></i>
                    @elseif ($activity->type == 'purchased')
                        <i class="fas fa-shopping-cart"></i>
                    @endif
                </span>
                <span class="text-icon__text">{{ __(ucFirst($activity->type)) }}</span>
            </div>
        </td>
        <td>
            @if ($activity->from_wallet)
                <a class="text-decoration-underline text--base" href="{{ route('profile.public', $activity->from_wallet) }}">{{ showAddress($activity->from_wallet) }} <i class="las la-external-link-alt"></i></a>
            @else
                <span>0x00....0000</span>
            @endif
        </td>
        <td>
            @if ($activity->to_wallet)
                <a class="text-decoration-underline text--base" href="{{ route('profile.public', $activity->to_wallet) }}">{{ showAddress($activity->to_wallet) }} <i class="las la-external-link-alt"></i></a>
            @else
                <span>0x00....0000</span>
            @endif
        </td>
        <td>{{ showAmount($activity->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}</td>
        <td>
            @if ($activity->transaction_hash == '#')
                ##
            @else
                <a class="text-decoration-underline text--base" href="{{ blockExplorer() }}/tx/{{ $activity->transaction_hash }}" target="_blank">{{ showAddress($activity->transaction_hash) }} <i class="las la-external-link-alt"></i></a>
            @endif
        </td>
        <td>{{ Carbon\Carbon::parse($activity->created_at)->diffForHumans() }}</td>
    </tr>
@endforeach
