@if (@$item->is_auction)
    <div class="product-countdown__top">
        <span class="product-countdown__time">@lang('Sale ends') {{ showDateTime(Carbon\Carbon::parse($item->auction_end_at), 'F d, Y \a\t h:i a') }}</span>
        <div class="product-countdown__inner">
            <!-- CoutDown Html Start -->
            <div class="tick" data-did-init="handleTickInit">
                <div data-repeat="true" data-layout="horizontal center fit" data-transform="preset(d, h, m, s) -> delay">
                    <div class="tick-group">
                        <div data-key="value" data-repeat="true" data-transform="pad(00) -> split -> delay">
                            <span data-view="flip"></span>
                        </div>
                        <span class="tick-label" data-key="label" data-view="text"></span>
                    </div>
                </div>
            </div>
            <!-- CoutDown Html End -->
        </div>
    </div>
@endif

@if (@$myPreviousBid->amount == 0)
    <div class="product-countdown__price-info">
        <span class="product-countdown__text">
            @if (@$item->is_auction)
                @lang('Min BID')
            @else
                @lang('Price')
            @endif
        </span>
        <h3 class="product-countdown__price">{{ showAmount($item->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}
            <span>({{ showAmount($item->amount * gs('currency_rate'), 8, exceptZeros: true) }} {{ gs('cur_text') }})</span>
        </h3>
    </div>
@endif

@if (@$myPreviousBid->amount > 0)
    <div class="product-countdown__price-info">
        <span class="product-countdown__text">@lang('My BID')</span>
        <h3 class="product-countdown__price">{{ showAmount($myPreviousBid->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }} <span>({{ showAmount($myPreviousBid->amount * gs('currency_rate'), 8, exceptZeros: true) }} {{ gs('cur_text') }})</span></h3>
    </div>
@endif

@if ($highestBid)
    <div class="product-countdown__price-info">
        <span class="product-countdown__text">@lang('Highest Bid')</span>
        <h3 class="product-countdown__price">
            {{ showAmount($highestBid->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }} <span>({{ showAmount($highestBid->amount * gs('currency_rate'), 8, exceptZeros: true) }} {{ gs('cur_text') }})</span>
            @if ($highestBid->user_id == auth()->id())
                (@lang('You'))
            @else
                {{ showAddress(@$item->user->wallet) }}
            @endif
            <x-verified status="{{ $item->user->kv }}" />
        </h3>
    </div>
@endif
