@php
    $isMyList = request()->routeIs('user.item.*');
@endphp

<div class="{{ request()->routeIs('user.item.*') || request()->routeIs('user.wishlist') ? 'nft-card-two' : 'nft-card' }}">
    <div class="{{ request()->routeIs('user.item.*') || request()->routeIs('user.wishlist') ? 'nft-card-two__thumb' : 'nft-card__thumb' }}">
        <a href="{{ route('nft.details', [slug($item->nft->name), encrypt($item->nft->id)]) }}">
            @if ($item->nft->file_type == 'video' || $item->nft->file_type == 'audio')
                <img class="lazy" data-src="{{ $item->nft->animation }}" alt="">
            @else
                <img class="lazy" data-src="{{ $item->nft->file }}" alt="">
            @endif
        </a>
    </div>
    <div class="nft-card__content">
        @if (!$isMyList && !request()->routeIs('user.wishlist'))
            <div class="nft-card__info">
                <div class="nft-card__creator">
                    <div class="nft-card__creator-thumb">
                        <img src="{{ getImage(getFilePath('userProfile') . '/' . $item->user->profile_image, avatar: 'profile') }}" alt="">
                    </div>
                    <div class="nft-card__creator-info">
                        <span class="nft-card__creator-designation"> @lang('Creator') </span>
                        <a class="nft-card__creator-name d-block" href="{{ route('profile.public', $item->user->wallet) }}">
                            @if ($item->user_id == auth()->id())
                                (@lang('You'))
                            @else
                                {{ $item->user->firstname ? $item->user->fullname : showAddress($item->user->wallet) }}
                            @endif
                            <x-verified status="{{ $item->user->kv }}" />
                        </a>
                    </div>
                </div>
                @if (auth()->check())
                    <div class="nft-card__dots">
                        <button class="dot" type="button"> <i class="las la-ellipsis-v"></i> </button>
                        <ul class="ellipsis-dropdown">
                            @if ($item->user_id == auth()->id())
                                @if (!$item->is_auction || Carbon\Carbon::parse($item->auction_end_at) < now())
                                    <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal unlistNft" data-item_id="{{ $item->itemId }}" type="button">@lang('Unlist')</button></li>
                                @endif
                            @else
                                @if ($item->is_auction)
                                    @if (Carbon\Carbon::parse((int) $item->auction_end_at) > now())
                                        @php
                                            $highestBid = $item->bids->sortByDesc('amount')->first();
                                            $myPreviousBid = $item->bids->where('user_id', auth()->id())->first();
                                        @endphp
                                        @if (@$myPreviousBid->amount > 0)
                                            <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal updateBidItemModal" data-item_id="{{ $item->itemId }}" data-previous_bid="{{ $myPreviousBid->amount }}" type="button">@lang('Update Bid')</button></li>
                                            @if ($myPreviousBid->id != $highestBid->id)
                                                <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal claimBidAmountBtn" data-item_id="{{ $item->itemId }}" type="button">@lang('Claim Bid Amount')</button></li>
                                            @endif
                                        @else
                                            <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal bidItemBtn" data-item_id="{{ $item->itemId }}" type="button">@lang('Bid Now')</button></li>
                                        @endif
                                    @endif
                                @else
                                    <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal purchaseItemBtn" data-item_id="{{ $item->itemId }}" type="button">@lang('Buy Now')</button></li>
                                @endif
                            @endif
                        </ul>
                    </div>
                @endif
            </div>
        @endif
        <div class="nft-card__body">
            <div class="nft-card__body-left">
                <h4 class="nft-card__body-title"> <a class="link" href="{{ route('nft.details', [slug($item->nft->name), encrypt($item->nft->id)]) }}">{{ __($item->nft->name) }}</a> </h4>
                @if ($item->is_auction)
                    <span class="nft-card__body-text">{{ timeDifference($item->auction_end_at) }}</span>
                @endif
            </div>
            @if ($item->status == Status::ITEM_LISTED)
                <div class="nft-card__body-right">
                    <button class="nft-card__body-wishlist pill wishlist @if ($item->wishlists_count || request()->routeIs('user.wishlist')) wishlisted @endif" data-id="{{ $item->id }}">
                        <span class="icon"><i class="fas fa-heart"></i></span> <span class="text wishlistCount">{{ $item->wishlist_count }}</span>
                    </button>
                </div>
            @endif
        </div>
        <div class="nft-card__footer">
            <div class="bid-price">
                <span class="bid-price__text d-block">@lang('Price')</span>
                <span class="bid-price__currency text--base d-block">{{ showAmount($item->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }} </span>
            </div>
            @if ($item->bids->count())
                <div class="bid-content">
                    <ul class="bid-content__list">
                        @foreach ($item->bids as $bid)
                            <li class="bid-content__item">
                                <div class="bid-content__images">
                                    <img class="bid-content__img" src="{{ getImage(getFilePath('userProfile') . '/' . $bid->user->profile_image, avatar: 'profile') }}" alt="">
                                </div>
                            </li>
                            @break($loop->index == 2)
                        @endforeach
                    </ul>
                    <span class="bid-content__text">{{ $item->bids->count() }} @lang('Place Bid') </span>
                </div>
            @endif
        </div>
    </div>
</div>

@once
    @include($activeTemplate . 'partials.modal.purchase_modal')
    @include($activeTemplate . 'partials.modal.bid_modal')
    @include($activeTemplate . 'partials.modal.unlist_modal')

    @include($activeTemplate . 'partials.modal.update_modal')
    @include($activeTemplate . 'partials.modal.claim_modal')
@endonce
