@extends($activeTemplate . 'layouts.frontend')

@section('content')
    @include($activeTemplate . 'public_profile.top_bar')
    <!-- ================================ Profile Filter & Search Start ============================ -->
    <div class="filter-search pb-120">
        <div class="custom--container">
            <div class="filter-search__inner">
                <div class="filter-search__left">
                    <div class="filter-search__left-inner">
                        <div class="filter-search-box">
                            <form>
                                <div class="input--group">
                                    <input type="hidden" name="category" value="{{ request()->category }}">
                                    <input type="text" class="form--control" name="name" value="{{ request()->name }}" placeholder="@lang('Search')">
                                    <button type="submit" class="search-btn"><i class="las la-search"></i></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="filter-search__tab">
                <div class="nft-top__tab w-100 ps-0">
                    <div class="nft-top__tab-inner">
                        <ul class="nft-tab-list">
                            <li class="nft-tab-list__item"><a href="{{ route('profile.public', $user->wallet) }}?name={{ request()->name }}" class="nft-tab-list__link {{ !request()->category ? 'active' : '' }}" data-category="0">@lang('All')</a></li>
                            @foreach ($categories as $category)
                                <li class="nft-tab-list__item"><a href="{{ route('profile.public', $user->wallet) }}?category={{ $category->id }}&name={{ request()->name }}" class="nft-tab-list__link {{ request()->category == $category->id ? 'active' : '' }}">{{ __($category->name) }}</a></li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>

            <div class="nft__wrapper sidebar-removed">
                <!-- Right Body Start -->
                <div class="nft__body  w-100 ps-0">
                    <div class="nft-card-two-wrapper">
                        @forelse ($nfts as $nft)
                            <div class="nft-card-two">
                                <div class="nft-card-two__thumb">
                                    <a href="{{ route('nft.details', [slug($nft->name), encrypt($nft->id)]) }}">
                                        @if ($nft->file_type == 'audio' || $nft->file_type == 'video')
                                            <img class="lazy" data-src="{{ $nft->animation }}" alt="">
                                        @else
                                            <img class="lazy" data-src="{{ $nft->file }}" alt="">
                                        @endif
                                    </a>
                                </div>
                                <div class="nft-card-two__content">
                                    <h4 class="nft-card-two__title"> <a href="{{ route('nft.details', [slug($nft->name), encrypt($nft->id)]) }}">{{ __($nft->name) }}</a></h4>
                                    <div class="nft-card-two__date d-flex flex-wrap justify-content-between gap-1">
                                        <span>@lang('Created At')</span>
                                        <span>{{ showDateTime($nft->created_at, 'd M Y') }}</span>
                                    </div>
                                </div>
                            </div>
                        @empty
                            @include($activeTemplate . 'partials.empty_message', ['message' => 'No nft found'])
                        @endforelse
                    </div>
                </div>
                <!-- Right Body End -->
            </div>
        </div>
    </div>
    <!-- ================================ Profile Filter & Search End ============================ -->


    <div class="custom-modal" id="reportModal">
        <button type="button" class="custom-modal__close"><i class="las la-times"></i></button>
        <div class="custom-modal__inner">
            <div class="custom-modal__box">
                <div class="custom-modal__header">
                    <h3 class="custom-modal__title">@lang('Why are you reporting?')</h3>
                </div>
                <div class="custom-modal__form">
                    <form action="{{ route('user.profile.report') }}" method="POST">
                        @csrf
                        <input type="hidden" name="user_id" value="{{ $user->id }}">
                        <div class="form-group">
                            <label class="form--label" for="report">@lang('Quote')</label>
                            <textarea name="quote" class="form--control" cols="30" rows="10" required></textarea>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn--base w-100">@lang('Submit')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script')
    <script>
        (function($) {
            "use strict";
            $('.reportBtn').on('click', function() {
                $('#reportModal').toggleClass('show');
            });
        })(jQuery);
    </script>
@endpush
