@php
    $blogs = getContent('blog.element', false, 3);
    $blogContent = getContent('blog.content', true);
@endphp

<section class="nft-blog pt-60 pb-60">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section-heading d-flex flex-wrap align-items-center justify-content-between gap-2">
                    <h2 class="section-heading__title">{{ __(@$blogContent->data_values->title) }}</h2>
                    <a href="{{ route('blogs') }}" class="btn btn--base outline view-all">@lang('View All')<span class="icon-right"><i class="fas fa-angle-double-right"></i></span> </a>
                </div>
            </div>
        </div>
        <div class="row justify-content-center gy-4">
            @foreach ($blogs as $blog)
                <div class="col-lg-4 col-md-6">
                    <div class="blog-item">
                        <div class="thumb">
                            <img class="w-100" src="{{ getImage('assets/images/frontend/blog/thumb_' . @$blog->data_values->image, '370x240') }}" alt="image">
                        </div>
                        <div class="content">
                            <span class="meta mb-2"><i class="far fa-calendar-alt me-1"></i> {{ showDateTime($blog->created_at, 'd M, Y') }}</span>
                            <h4 class="title">
                                <a href="{{ route('blog.details', $blog->slug) }}">{{ __($blog->data_values->title) }}</a>
                            </h4>
                            <p class="desc mt-3">{{ strLimit(strip_tags(@$blog->data_values->description), 180) }}</p>
                            <a href="{{ route('blog.details', $blog->slug) }}" class="read-more-link mt-3">@lang('Read More') <i class="fas fa-long-arrow-alt-right ms-2"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>


