@php
    $category = getContent('featured_category.content', true);
    $categories = App\Models\Category::featured()->orderBy('id', 'desc')->get();
@endphp

@if ($categories->count())
    <section class="nft-category pt-60 pb-60">
        <div class="container">
            <div class="section-heading d-flex flex-wrap align-items-center justify-content-between gap-2">
                <h2 class="section-heading__title">{{ __(@$category->data_values->title) }}</h2>
                <a href="{{ route('categories') }}" class="btn btn--base outline view-all">@lang('View All')<span class="icon-right"><i class="fas fa-angle-double-right"></i></span> </a>
            </div>
            <div class="row gy-4 justify-content-center">
                @foreach ($categories as $category)
                    <div class="col-xl-3 col-lg-4 col-sm-6 col-xsm-6">
                        <div class="nft-category-item">
                            <div class="nft-category-item__thumb">
                                <a href="{{route('marketplace')}}?category={{$category->id}}" class="link"><img src="{{ getImage(getFilePath('category') . '/' . $category->image, getFileSize('category')) }}" class="w-100" alt="image"></a>
                            </div>
                            <div class="nft-category-item__content">
                                <h4 class="nft-category-item__title"><a href="{{route('marketplace')}}?category={{$category->id}}" class="link">{{ __($category->name) }}</a></h4>
                                <p class="nft-category-item__desc">{{ __($category->short_description) }}</p>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
@endif
