@php
    $items = App\Models\Item::featured()
        ->with('nft', 'user', 'bids.user')
        ->withCount([
            'wishlists' => function ($wishlist) {
                $wishlist->where('user_id', auth()->id());
            },
        ])
        ->whereHas('nft.category', function ($category) {
            $category->active();
        })
        ->latest()
        ->get();
@endphp

@if ($items->count())
    <section class="product-explore pt-120 pb-60">
        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>
        <div class="container">
            <div class="row gy-4 justify-content-center">
                @foreach ($items as $item)
                    <div class="col-xl-3 col-lg-4 col-sm-6 col-xsm-6">
                        @include($activeTemplate . 'partials.single_item', ['item' => $item])
                    </div>
                @endforeach
            </div>
        </div>
    </section>
@endif
