@php
    $trending = getContent('trending_item.content', true);
    $calculationDays = is_numeric(@$trending->data_values->calculation_days_number) && $trending->data_values->calculation_days_number > 0 ? $trending->data_values->calculation_days_number : 10;

    $topViews = App\Models\NftView::with('item.nft', 'item.user', 'item.bids.user')
        ->selectRaw('*, SUM(views) as totalView')
        ->whereDate('created_at', '>=', now()->subDay($calculationDays - 1))
        ->whereHas('item', function ($item) {
            $item->where('status', Status::ITEM_LISTED);
        })
        ->groupBy('item_id')
        ->orderBy('totalView', 'DESC')
        ->limit(4)
        ->get();
@endphp

@if ($topViews->count())
    <section class="product-explore pt-120 pb-60">
        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>
        <div class="container">
            <div class="section-heading">
                <h2 class="section-heading__title">{{ __(@$trending->data_values->title) }}</h2>
            </div>
            <div class="row gy-4 justify-content-center">
                @foreach ($topViews as $topView)
                    <div class="col-xl-3 col-lg-4 col-sm-6 col-xsm-6">
                        @include($activeTemplate . 'partials.single_item', ['item' => $topView->item])
                    </div>
                @endforeach
            </div>
        </div>
    </section>
@endif
