@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <div class="py-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="custom--card table-in-card card">
                        <div class="card-header">
                            <h4 class="mb-0">{{ __($pageTitle) }}</h4>
                        </div>
                        <div class="card-body">
                            <table class="table--responsive--lg custom--table table">
                                <thead>
                                    <tr>
                                        <th>@lang('Transaction Hash')</th>
                                        <th>@lang('Date')</th>
                                        <th>@lang('Amount')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($deposits as $deposit)
                                        <tr>
                                            <td>
                                                <p class="fw-bold"><a class="text-primary" href="{{ blockExplorer() }}/tx/{{ $deposit->transaction_hash }}" target="_blank">{{ showAddress($deposit->transaction_hash) }}</a> </p>
                                            </td>
                                            <td>
                                                <div>
                                                    {{ showDateTime($deposit->created_at) }}<br>{{ diffForHumans($deposit->created_at) }}
                                                </div>
                                            </td>
                                            <td>
                                                {{ showAmount($deposit->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td class="text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>

                    {{ $deposits->links() }}

                </div>
            </div>
        </div>
    </div>
@endsection
