@extends($activeTemplate . 'layouts.frontend')

@section('content')
    @include($activeTemplate . 'user.profile_banner')

    <section class="pt-60 pb-60">
        <div class="custom--container">
            <div class="row gy-4 justify-content-center">
                @forelse ($followers as $follower)
                    <div class="col-lg-3 col-sm-6 col-xsm-6">
                        <div class="creator-card">
                            <div class="creator-card__thumbs">
                                <a href="{{ route('profile.public', $follower->followerUser->wallet) }}"><img src="{{ getImage(getFilePath('userCover') . '/thumb_' . $follower->followerUser->cover_image, avatar: 'cover') }}" alt=""></a>
                            </div>
                            <div class="creator-card__content">
                                <div class="creator-card__creator">
                                    <img src="{{ getImage(getFilePath('userProfile') . '/' . $follower->followerUser->profile_image, avatar: 'profile') }}" alt="">
                                </div>
                                <div class="creator-card__followers">
                                    <div class="creator-card__info">
                                        <h5 class="creator-card__title"> <a href="{{ route('profile.public', $follower->followerUser->wallet) }}">{{ $follower->followerUser->firstname ? $follower->followerUser->fullname : showAddress($follower->followerUser->wallet) }}   <x-verified status="{{ $follower->followerUser->kv }}" /></a> </h5>
                                        <span class="creator-card__text"> <span class="followerCount">{{ showFollowerCount($follower->followerUser->follower_count) }}</span> @lang('Followers')</span>
                                    </div>
                                    @if ($follower->id != auth()->id())
                                        @if (in_array($follower->follower_id, $myFollowingIds))
                                            <button type="button" class="creator-card__follow pill follow followed" data-user_id="{{ $follower->follower_id }}">
                                                <span class="text">@lang('Following')</span>
                                            </button>
                                        @else
                                            <button type="button" class="creator-card__follow pill follow" data-user_id="{{ $follower->follower_id }}">
                                                <span class="icon"><i class="las la-plus"></i></span>
                                                <span class="text">@lang('Follow')</span>
                                            </button>
                                        @endif
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                    @include($activeTemplate . 'partials.empty_message', ['message' => 'No user found'])
                @endforelse
            </div>
        </div>
    </section>
@endsection
