@extends($activeTemplate . 'layouts.frontend')

@section('content')
    @include($activeTemplate . 'user.profile_banner')

    <section class="pt-60 pb-60">
        <div class="custom--container">
            <div class="row gy-4 justify-content-center">
                @forelse ($followings as $following)
                    <div class="col-lg-3 col-sm-6 col-xsm-6">
                        <div class="creator-card">
                            <div class="creator-card__thumbs">
                                <a href="{{ route('profile.public', $following->followingUser->wallet) }}"><img src="{{ getImage(getFilePath('userCover') . '/thumb_' . $following->followingUser->cover_image,avatar: 'cover') }}" alt=""></a>
                            </div>
                            <div class="creator-card__content">
                                <div class="creator-card__creator">
                                    <img src="{{ getImage(getFilePath('userProfile') . '/' . $following->followingUser->profile_image, avatar: 'profile') }}" alt="">
                                </div>
                                <div class="creator-card__followers">
                                    <div class="creator-card__info">
                                        <h5 class="creator-card__title"> <a href="{{ route('profile.public', $following->followingUser->wallet) }}">{{ $following->followingUser->firstname ? $following->followingUser->fullname : showAddress($following->followingUser->wallet) }}  <x-verified status="{{ $following->followingUser->kv }}" /></a> </h5>
                                        <span class="creator-card__text"> <span class="followerCount">{{ showFollowerCount($following->followingUser->follower_count) }}</span> @lang('Followers')</span>
                                    </div>
                                    @if ($following->id != auth()->id())
                                        <button type="button" class="creator-card__follow pill follow followed" data-user_id="{{ $following->user_id }}">
                                            <span class="text">@lang('Following')</span>
                                        </button>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                    @include($activeTemplate . 'partials.empty_message', ['message' => 'No user found'])
                @endforelse
            </div>
        </div>
    </section>
@endsection
