@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <section class="nft py-60">
        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>
        <div class="custom--container">
            <h2 class="page-title mb-xl-5 mb-md-4 mb-3">{{ __($pageTitle) }}</h2>
            <!-- Top Tabs -->
            <div class="nft-top">
                <div class="nft-top__filter">
                    <button class="btn btn--base filter-btn" type="button"> <span class="filter-btn__icon"> <i class="fas fa-chevron-left"></i> </span> <span class="filter-btn__text">@lang('Filter')</span></button>
                </div>
                <!-- Nft Tab Start -->
                <div class="nft-top__tab">
                    <div class="nft-top__tab-inner">
                        <ul class="nft-tab-list category-list">
                            <li class="nft-tab-list__item"><button class="nft-tab-list__link categoryName {{ !request()->category ? 'active' : '' }}" data-category="0">@lang('All')</button></li>
                            @php $showingCategory = 6; @endphp
                            @foreach ($categories as $category)
                                @if ($loop->index < $showingCategory)
                                    <li class="nft-tab-list__item"><button class="nft-tab-list__link categoryName {{ request()->category == $category->id ? 'active' : '' }}" data-category="{{ $category->id }}">{{ __($category->name) }}</button></li>
                                @endif
                            @endforeach
                            @if ($categories->count() > $showingCategory)
                                <li class="nft-tab-list__item">
                                    <button class="btn btn--base btn--xsm mb-3" id="moreBtn">@lang('More')</button>
                                    <ul class="category-dropdown">
                                        @foreach ($categories as $category)
                                            @if ($loop->index >= $showingCategory)
                                                <li class="category-dropdown__item">
                                                    <button class="category-dropdown__link categoryName {{ request()->category == $category->id ? 'active' : '' }} text-start" data-category="{{ $category->id }}">{{ __($category->name) }}</button>
                                                </li>
                                            @endif
                                        @endforeach
                                    </ul>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
                <!-- Nft Tab End -->
            </div>
            <div class="nft__wrapper">
                <!-- Left Sidebar Start -->
                <div class="nft-sidebar">
                    <div class="nft-sidebar__close">
                        <div class="nft-sidebar__close-inner">
                            <h5 class="text">@lang('Filters')</h5>
                            <button class="icon" type="button"><i class="las la-times"></i></button>
                        </div>
                    </div>
                    <div class="accordion custom--accordion">
                        <div class="accordion-item">
                            <h2 class="accordion-header">
                                <span class="accordion-button">
                                    <span class="accordion-button__title">@lang('Price')</span>
                                </span>
                            </h2>
                            <div class="accordion-collapse">
                                <div class="accordion-body">
                                    <div class="price-form">
                                        <input name="name" type="hidden" value="{{ request()->name }}">
                                        <div class="row gy-3">
                                            <div class="col-6">
                                                <input class="form--control sm-style" name="min" type="number" placeholder="@lang('Min')" min="0" step="any">
                                            </div>
                                            <div class="col-6">
                                                <input class="form--control sm-style" name="max" type="number" placeholder="@lang('Max')" min="0" step="any">
                                            </div>
                                            <div class="col-12">
                                                <button class="btn btn--light-dark btn--sm w-100 applyBtn">@lang('APPLY')</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="accordion-item">
                            <h2 class="accordion-header">
                                <span class="accordion-button">
                                    <span class="accordion-button__title">@lang('Item Type')</span>
                                </span>
                            </h2>
                            <div class="accordion-collapse">
                                <div class="accordion-body">
                                    <ul class="button-list nft_status">
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm status" data-status="all" type="button">@lang('All')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm status {{ request()->status == 'auction' ? 'active' : '' }}" data-status="auction" type="button">@lang('Auction')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm status" data-status="buy" type="button">@lang('Buy Now')</button></li>
                                    </ul>
                                </div>
                            </div>
                        </div>

                        <div class="accordion-item">
                            <h2 class="accordion-header">
                                <span class="accordion-button">
                                    <span class="accordion-button__title">@lang('Sort')</span>
                                </span>
                            </h2>
                            <div class="accordion-collapse">
                                <div class="accordion-body">
                                    <ul class="button-list">
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="name-asc" type="button">@lang('Name ASC')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="name-desc" type="button">@lang('Name DESC')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="price-asc" type="button">@lang('Price ASC')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="price-desc" type="button">@lang('Price DESC')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="date-desc" type="button">@lang('Latest')</button></li>
                                        <li class="button-list__item"><button class="btn btn--dark btn--sm sort" data-sort="date-asc" type="button">@lang('Oldest')</button></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Left Sidebar End -->

                <!-- Right Body Start -->
                <div class="nft__body position-relative explore-nft">
                    <div id="overlay">
                        <div class="cv-spinner">
                            <span class="spinner"></span>
                        </div>
                    </div>
                    <div class="overlay-2" id="overlay2"></div>
                    <div class="allItem">
                        @include($activeTemplate . 'user.marketplace.content', ['items' => $items])
                    </div>
                </div>
                <!-- Right Body End -->
            </div>
        </div>
    </section>
@endsection

@push('script')
    <script>
        (function($) {
            "use strict";

            let category = `{{ request()->category ?? '' }}`;
            let min = '';
            let max = '';
            let search = `{{ request()->search }}`;
            let status = `{{ request()->status ?? 'all' }}`;
            let page = 1;
            let profileSearch = '';
            let sort = '';

            $('.categoryName').on('click', function() {
                $('.categoryName').removeClass('active');
                $(this).addClass('active');
                category = $(this).data('category');
                page = 1;
                loadFilterItem();
            });

            $('.applyBtn').on('click', function() {
                min = $('[name=min]').val();
                max = $('[name=max]').val();
                page = 1;
                loadFilterItem();
            });

            $('.status').on('click', function() {
                $('.status').removeClass('active');
                $(this).addClass('active');
                status = $(this).data('status');
                page = 1;
                loadFilterItem();
            });

            $(document).on('click', '.page-link', function(e) {
                e.preventDefault();
                if ($(this).attr('href')) {
                    page = $(this).attr('href').match(/page=([0-9]+)/)[1];
                    loadFilterItem();
                }
            });

            $('.sort').on('click', function() {
                $('.sort').removeClass('active');
                $(this).addClass('active');
                sort = $(this).data('sort');
                loadFilterItem();
            });

            function loadFilterItem() {
                $("#overlay, #overlay2").fadeIn(300);
                let url = `{{ route('marketplace') }}`;
                let data = {
                    search,
                    category,
                    min,
                    max,
                    status,
                    page,
                    sort
                };

                $.ajax({
                    type: "GET",
                    url: url,
                    data: data,
                    success: function(response) {
                        $('.allItem').html(response);
                    }
                }).done(function() {
                    setTimeout(function() {
                        $("#overlay, #overlay2").fadeOut(300);
                        $('.lazy').lazy({
                            afterLoad: function(element) {
                                element.removeClass('lazy');
                            }
                        });
                    }, 500);
                });
            }

            @if ($categories->count() > $showingCategory)
                let moreBtn = $('#moreBtn');
                let leftDistance = moreBtn.offset().left;
                let rightDistance = $(window).width() - (moreBtn.offset().left + moreBtn.outerWidth());

                if (leftDistance < rightDistance) {
                    $('.category-dropdown').addClass('left');
                }
            @endif

        })(jQuery);
    </script>
@endpush

@push('style')
    <style>
        .header {
            z-index: 99999999;
        }

        #overlay {
            z-index: 99999991;
        }
    </style>
@endpush
