@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <section class="product-details pb-60 pt-60">
        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>

        <div class="custom--container">
            <div class="row gy-md-5 gy-4">
                <div class="col-xl-5 col-lg-6">
                    <div class="product-details__thumb">
                        @if ($nft->file_type == 'audio')
                            <div class="custom-video-player">
                                <video class="video-player" controls controlsList="nodownload" poster="{{ $nft->animation }}" width="100%">
                                    <source src="{{ $nft->file }}" type="audio/mp3">
                                </video>
                                <div class="play-button-overlay">
                                    <i class="fas fa-play"></i>
                                </div>
                            </div>
                        @elseif($nft->file_type == 'video')
                            <video controls controlsList="nodownload" width="100%">
                                <source src="{{ $nft->file }}" type="video/mp4">
                            </video>
                        @elseif($nft->animation)
                            <img class="lazy" data-src="{{ $nft->animation }}">
                        @else
                            <img class="lazy" data-src="{{ $nft->file }}" alt="">
                        @endif
                    </div>
                    <div class="product-details__tab">
                        <ul class="custom--tab nav nav-pills" id="pills-tab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <button class="nav-link active" id="pills-details-tab" data-bs-toggle="pill" data-bs-target="#pills-details" type="button" role="tab" aria-controls="pills-details" aria-selected="true"> @lang('Overview') </button>
                            </li>
                            <li class="nav-item" role="presentation">
                                <button class="nav-link" id="pills-overview-tab" data-bs-toggle="pill" data-bs-target="#pills-overview" type="button" role="tab" aria-controls="pills-overview" aria-selected="false">@lang('Description')</button>
                            </li>
                        </ul>
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="pills-details" role="tabpanel" aria-labelledby="pills-details-tab" tabindex="0">
                                <div class="history-wrapper">
                                    <ul class="nft__item__details">
                                        <li class="d-flex justify-content-between">
                                            <span class="fw-bold"><i class="las la-dot-circle"></i> @lang('Category')</span>
                                            <a class="text-decoration-underline text--base" href="{{ route('marketplace') }}?category={{ $nft->category_id }}"> {{ __($nft->category->name) }}</a>
                                        </li>
                                        <li class="d-flex justify-content-between">
                                            <span class="fw-bold"><i class="las la-dot-circle"></i> @lang('Contract')</span>
                                            <a class="text-decoration-underline text--base" href="{{ blockExplorer() }}/address/{{ @$nft->contract_address }}" target="_blank"> {{ showAddress($nft->contract_address, 4) }} <i class="las la-external-link-alt"></i></a>
                                        </li>
                                        <li class="d-flex justify-content-between">
                                            <span class="fw-bold"><i class="las la-dot-circle"></i> @lang('Token Id')</span>
                                            <a class="text-decoration-underline text--base" href="{{ blockExplorer() }}/tx/{{ @$nft->transaction_hash }}" target="_blank">{{ myTokenSym() }}#{{ $nft->token_id }} <i class="las la-external-link-alt"></i></a>
                                        </li>
                                        <li class="d-flex justify-content-between">
                                            <span class="fw-bold"><i class="las la-dot-circle"></i> @lang('Transaction Chain')</span>
                                            <span>{{ __($nft->chain) }} ({{ marketplaceCurrency() }})</span>
                                        </li>

                                        @foreach ($nft->custom_data as $key => $value)
                                            <li class="d-flex justify-content-between">
                                                <span class="fw-bold"><i class="las la-dot-circle"></i> {{ __(keyToTitle($key)) }}</span>
                                                <span>{{ __($value) }}</span>
                                            </li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="pills-overview" role="tabpanel" aria-labelledby="pills-overview-tab" tabindex="0">
                                <p class="product-details__desc">{{ __($nft->description) }}</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-7 col-lg-6">
                    <div class="product-details-content">
                        <!-- Product Top Content -->
                        <div class="d-flex justify-content-between align-items-center flex-wrap gap-3">
                            <div class="product-details-content__info">
                                <h2 class="product-details-content__title">{{ __($nft->name) }}</h2>
                                <span class="product-details-content__owner"> @lang('Owned by') <a class="text--base" href="{{ route('profile.public', $nft->user->wallet) }}"> {{ $nft->user->firstname ? $nft->user->fullname : showAddress($nft->user->wallet) }} @if ($nft->user_id == auth()->id())
                                            (@lang('You'))
                                        @endif <x-verified status="{{ $nft->user->kv }}" /></a> </span>

                                @if ($item)
                                    <div class="product-actions">
                                        <div class="product-actions__item">
                                            <span class="product-actions__icon"><i class="far fa-eye"></i></span>
                                            <span class="product-actions__text">{{ showViewCount($nft->views) }} @lang('Views')</span>
                                        </div>
                                        <div class="product-actions__item">
                                            <button class="nft-card__body-wishlist pill wishlist {{ $item->wishlists_count ? 'wishlisted' : '' }} bg-transparent p-0" data-id="{{ $item->id }}">
                                                <span class="icon"><i class="fas fa-heart"></i></span>
                                                <span class="product-actions__text">@lang('Wishlist')</span>
                                            </button>
                                        </div>
                                        <div class="product-actions__item">
                                            <button class="nft-card__body-wishlist pill customModal shareNft bg-transparent p-0" data-id="{{ $item->id }}">
                                                <span class="icon"><i class="fas fa-share"></i></span>
                                                <span class="product-actions__text">@lang('Share')</span>
                                            </button>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <div class="nft__actions nft__actions d-flex flex-wrap gap-2">
                                @if ($item)
                                    @php
                                        $highestBid = $item->bids->sortByDesc('amount')->first();
                                        $myPreviousBid = $item->bids->where('user_id', auth()->id())->first();
                                    @endphp
                                @endif

                                @auth
                                    @if ($nft->user_id == auth()->id())
                                        @if (!$item)
                                            <button class="btn btn--base customModal sellNft" data-id="{{ $nft->id }}" data-token_id="{{ $nft->token_id }}"><i class="fas fa-paper-plane"></i> @lang('Sell')</button>
                                            <button class="btn btn--danger customModal burnNft" data-id="{{ $nft->id }}" data-token_id="{{ $nft->token_id }}"><i class="fas fa-burn"></i> @lang('Burn')</button>
                                        @else
                                            @if (!$item->is_auction || Carbon\Carbon::parse((int) $item->auction_end_at) < now())
                                                <button class="btn btn--base customModal unlistNft" data-item_id="{{ $item->itemId }}" type="button">
                                                    <span class="icon">
                                                        <i class="fas fa-stream"></i>
                                                    </span>
                                                    @lang('Unlist')
                                                </button>
                                            @endif
                                        @endif
                                    @else
                                        @if ($item)
                                            @if (@$item->is_auction)
                                                @if (Carbon\Carbon::parse($item->auction_end_at) > now())
                                                    @if (@$myPreviousBid->amount > 0)
                                                        <button class="btn btn--base customModal updateBidItemModal" data-item_id="{{ $item->itemId }}" data-previous_bid="{{ $myPreviousBid->amount }}" type="button">@lang('Update Bid')</button>
                                                        @if ($myPreviousBid->id != $highestBid->id)
                                                            <button class="btn btn-sm btn--danger customModal claimBidAmountBtn ms-2" data-item_id="{{ $item->itemId }}" type="button">@lang('Claim Bid Amount')</button>
                                                        @endif
                                                    @else
                                                        <button class="btn btn--base btn--lg customModal bidItemBtn" data-item_id="{{ $item->itemId }}" type="button">@lang('Bid Now')</button>
                                                    @endif
                                                @endif
                                            @else
                                                <button class="btn btn--base btn--lg customModal purchaseItemBtn" data-item_id="{{ $item->itemId }}" type="button">@lang('Purchase Item')</button>
                                            @endif
                                        @endif
                                    @endif
                                @endauth

                            </div>
                        </div>

                        @if (!$item)
                            <div class="mt-3">
                                @include($activeTemplate . 'partials.nft_activity', ['nft_id' => $nft->id, 'class' => ''])
                            </div>
                        @else
                            <!-- CountDown Main div Start -->
                            <div class="product-countdown">

                                @if ($item->user_id == auth()->id())
                                    <ul class="custom--tab nav nav-pills" id="pills-tab" role="tablist">
                                        <li class="nav-item" role="presentation">
                                            <button class="nav-link active" id="nav-overview-tab" data-bs-toggle="tab" data-bs-target="#nav-overview" type="button" role="tab" aria-controls="nav-overview" aria-selected="true">@lang('Overview')</button>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <button class="nav-link" id="nav-statistics-tab" data-bs-toggle="tab" data-bs-target="#nav-statistics" type="button" role="tab" aria-controls="nav-statistics" aria-selected="false">@lang('Statistics')</button>
                                        </li>
                                    </ul>

                                    <div class="tab-content" id="nav-tabContent">
                                        <div class="tab-pane fade show active" id="nav-overview" role="tabpanel" aria-labelledby="nav-overview-tab">
                                            @include($activeTemplate . 'partials.nft_overview')
                                        </div>
                                        <div class="tab-pane fade" id="nav-statistics" role="tabpanel" aria-labelledby="nav-statistics-tab">
                                            <div class="d-flex justify-content-end">
                                                <div class="form-group">
                                                    <select class="form--control select duration bg-transparent" required>
                                                        <option value="week">@lang('This Week')</option>
                                                        <option value="month" selected>@lang('This Month')</option>
                                                        <option value="year">@lang('This Year')</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <select class="form--control select graphName bg-transparent" required>
                                                        <option value="views">@lang('Views')</option>
                                                        @if ($item->is_auction)
                                                            <option value="bids">@lang('Bids')</option>
                                                        @endif
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="graph-view">

                                            </div>
                                        </div>
                                    </div>
                                @else
                                    @include($activeTemplate . 'partials.nft_overview')
                                @endif

                            </div>
                            <!-- CountDown Main div End -->

                            @if (!$item->is_auction)
                                <div class="mt-5">
                                    @include($activeTemplate . 'partials.nft_activity', ['nft_id' => $nft->id, 'class' => ''])
                                </div>
                            @endif

                            @if (@$item->is_auction)
                                <!-- Accordion Start -->
                                <div class="product-details-content__accordion mt-5">
                                    <div class="accordion custom--accordion style-two" id="accordionExample">
                                        <div class="accordion-item">
                                            <h2 class="accordion-header" id="headingOne">
                                                <button class="accordion-button" data-bs-toggle="collapse" data-bs-target="#collapseOne" type="button" aria-expanded="true" aria-controls="collapseOne">
                                                    <span class="accordion-header__content">
                                                        <span class="accordion-header__icon"><i class="fas fa-list"></i></span>
                                                        <span class="accordion-header__text"> @lang('Bids') </span>
                                                    </span>
                                                </button>
                                            </h2>
                                            <div class="accordion-collapse show collapse" id="collapseOne" data-bs-parent="#accordionExample" aria-labelledby="headingOne">
                                                <div class="accordion-body">
                                                    <div class="accordion-body__content">
                                                        <div class="scrollable-table">
                                                            <table class="table--responsive--xl accordion-table table">
                                                                <thead>
                                                                    <tr>
                                                                        <th>@lang('Price')</th>
                                                                        <th>@lang('Date')</th>
                                                                        <th>@lang('User')</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @foreach ($item->bids as $bid)
                                                                        <tr>
                                                                            <td>{{ showAmount($bid->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}</td>
                                                                            <td>{{ Carbon\Carbon::parse($bid->updated_at)->diffForHumans() }}</td>
                                                                            <td> <a class="text-decoration-underline text--base" href="{{ route('profile.public', $bid->user->wallet) }}">{{ $bid->user->firstname ? $bid->user->username : showAddress($bid->user->wallet) }} <i
                                                                                       class="las la-external-link-alt"></i></a> </td>
                                                                        </tr>
                                                                    @endforeach
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            <!-- Accordion End -->
                        @endif
                    </div>

                </div>
            </div>
        </div>
    </section>

    <div class="custom-modal" id="shareNftModal">
        <button class="custom-modal__close" type="button"><i class="las la-times"></i></button>
        <div class="custom-modal__inner">
            <div class="custom-modal__box">
                <div class="custom-modal__header">
                    <h3 class="custom-modal__title">@lang('Share')</h3>
                </div>
                <div class="custom-modal__form share">

                    <a class="share-link facebook" href="https://www.facebook.com/sharer/sharer.php?u={{ urlencode(url()->current()) }}" title="@lang('Facebook')" target="_blank">
                        <i class="fab fa-facebook-f"></i>
                    </a>

                    <a class="share-link pinterest" href="http://pinterest.com/pin/create/button/?url={{ urlencode(url()->current()) }}&description={{ __($nft->name) }}&media={{ $nft->file }}" title="@lang('Pinterest')" target="_blank">
                        <i class="fab fa-pinterest-p"></i>
                    </a>

                    <a class="share-link linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url={{ urlencode(url()->current()) }}&amp;title={{ $nft->name }}&amp;summary={{ $nft->description }}" title="@lang('Linkedin')" target="_blank">
                        <i class="fab fa-linkedin-in"></i>
                    </a>

                    <a class="share-link twitter" href="https://twitter.com/intent/tweet?text={{ __($nft->name) }}%0A{{ url()->current() }}" title="@lang('Twitter')" target="_blank">
                        <i class="fab fa-twitter"></i>
                    </a>

                    <div class="copy-link position-relative">
                        <input class="copyURL form-control form--control" id="copyURL" type="text" value="{{ url()->current() }}" readonly="">
                        <span class="copyBoard" id="copyBtn"><i class="las la-copy"></i> <strong class="copyText">Copy</strong></span>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <!-- product details filter Start -->
    @if (@$item->is_auction)
        @include($activeTemplate . 'partials.nft_activity', ['nft_id' => $nft->id, 'class' => 'pb-120'])
    @endif

    @include($activeTemplate . 'partials.modal.purchase_modal')
    @include($activeTemplate . 'partials.modal.bid_modal')
    @include($activeTemplate . 'partials.modal.unlist_modal')

    @if (!$item)
        @include($activeTemplate . 'partials.modal.listing_modal')
        @include($activeTemplate . 'partials.modal.burn_modal')
    @endif

    @if (@$myPreviousBid->amount > 0)
        @include($activeTemplate . 'partials.modal.update_modal')
        @include($activeTemplate . 'partials.modal.claim_modal')
    @endif

@endsection

@push('style')
    <style>

    </style>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/global/js/chart.js.2.8.0.js') }}"></script>
@endpush

@push('script')
    <script>
        "use strict";

        @if ($item && $item->user_id == auth()->id())

            let duration = $('.duration').find(':selected').val();
            let graphName;

            $('.duration').on('change', function() {
                duration = $(this).find(':selected').val();
                loadData();
            });

            $('.graphName').on('change', function() {
                graphName = $(this).find(':selected').val();
                loadData();
            }).change();

            function loadData() {
                let url = "{{ route('user.nft.statistics.load') }}";
                let itemId = `{{ $item->id }}`;

                $.post(url, {
                    _token: `{{ csrf_token() }}`,
                    item_id: itemId,
                    graph: graphName,
                    duration
                }, function(response) {
                    $('.graph-view').html(`<canvas height="150" id="nftChart" class="chartjs-chart mt-4"></canvas>`);
                    let ctx = document.getElementById('nftChart');
                    showChart(ctx, response.data, graphName);
                });
            }

            function showChart(ctx, data, chartName) {
                var myChart = new Chart(ctx, {
                    type: 'bar',
                    data: {
                        labels: Object.keys(data),
                        datasets: [{
                            data: Object.values(data),
                            backgroundColor: [
                                @for ($i = 0; $i < 365; $i++)
                                    '#0091E6',
                                @endfor
                            ],
                            borderColor: [
                                'rgba(0, 145, 230, 0.7)'
                            ],
                            borderWidth: 0,
                        }]
                    },
                    options: {
                        aspectRatio: 1,
                        responsive: true,
                        maintainAspectRatio: true,
                        elements: {
                            line: {
                                tension: 0
                            }
                        },
                        scales: {
                            xAxes: [{
                                display: true,
                                offset: true,
                            }],
                            yAxes: [{
                                display: false,
                                ticks: {
                                    beginAtZero: true
                                }
                            }]
                        },
                        legend: {
                            display: false,
                        },
                        tooltips: {
                            callbacks: {
                                label: (tooltipItem, data) => ` ${chartName} - ` + formatAmount(data.datasets[0].data[
                                    tooltipItem.index]) + (chartName == 'bids' ? ` {{ marketplaceCurrency() }}` : '')
                            }
                        }
                    }
                });
            }
        @endif

        function formatAmount(number) {
            var numberString = number.toString();
            numberString = numberString.replace(/(\.\d*?)0+$/, '$1');
            numberString = numberString.replace(/\.0$/, '');
            return numberString;
        }

        $('.shareNft').on('click', function() {
            let modal = $('#shareNftModal');
            modal.toggleClass('show');
        });

        @if ($item && $item->is_auction)
            function handleTickInit(tick) {
                let countDownTime = `{{ Carbon\Carbon::parse($item->auction_end_at) }}`;
                Tick.count.down(countDownTime).onupdate = function(value) {
                    tick.value = value;
                };
            }
        @endif

        $('#copyBtn').on('click', function() {
            var copyText = document.getElementById("copyURL");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            navigator.clipboard.writeText(copyText.value);
        });


        @if ($nft->file_type == 'audio')
            const videoPlayer = document.querySelector('.video-player');
            videoPlayer.addEventListener('play', () => {
                videoPlayer.classList.add('isPlaying');
            });
            videoPlayer.addEventListener('pause', () => {
                videoPlayer.classList.remove('isPlaying');
            });

            const playButtonOverlay = document.querySelector('.play-button-overlay');
            playButtonOverlay.addEventListener('click', () => {
                if (videoPlayer.paused) {
                    videoPlayer.play();
                } else {
                    videoPlayer.pause();
                }
            });
        @endif
    </script>
@endpush
