@extends($activeTemplate . 'layouts.frontend')

@section('content')
    @include($activeTemplate . 'user.profile_banner')

    <div class="public-profile pb-120">

        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>

        <div class="custom--container">
            <div class="nft-top mt-lg-5 mt-4">
                <div class="nft-top__tab ps-0">
                    <div class="nft-top__tab-inner">
                        <ul class="nft-tab-list">
                            <li class="nft-tab-list__item"><a class="nft-tab-list__link {{ menuActive('user.nft.all') }}" href="{{ route('user.nft.all') }}">@lang('All Nft')</a></li>
                            <li class="nft-tab-list__item"><a class="nft-tab-list__link {{ menuActive('user.nft.listed') }}" href="{{ route('user.nft.listed') }}">@lang('Listed Nft')</a></li>
                            <li class="nft-tab-list__item"><a class="nft-tab-list__link {{ menuActive('user.nft.active') }}" href="{{ route('user.nft.active') }}">@lang('Active Nft')</a></li>
                            <li class="nft-tab-list__item"><a class="nft-tab-list__link {{ menuActive('user.nft.burned') }}" href="{{ route('user.nft.burned') }}">@lang('Burned Nft')</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="nft__wrapper sidebar-removed">
                <!-- Right Body Start -->
                <div class="nft__body w-100 ps-0">
                    <div class="nft-card-two-wrapper">
                        @forelse ($nfts as $nft)
                            @php
                                if ($nft->status == Status::NFT_ACTIVE || $nft->status == Status::NFT_LISTED) {
                                    $nftLink = route('nft.details', [slug($nft->name), encrypt($nft->id)]);
                                } else {
                                    $nftLink = 'javascript:void(0)';
                                }

                                if ($nft->status == Status::NFT_LISTED) {
                                    $item = $nft->items->first();
                                }
                            @endphp

                            <div class="nft-card-two">
                                <div class="nft-card-two__thumb">
                                    <a href="{{ $nftLink }}">
                                        @if ($nft->file_type == 'audio')
                                            <img class="lazy" data-src="{{ getImage(getFilePath('audioPreview')) }}" alt="">
                                        @elseif($nft->file_type == 'video')
                                            <img class="lazy" data-src="{{ getImage(getFilePath('videoPreview')) }}" alt="">
                                        @else
                                            <img class="lazy" data-src="{{ $nft->file }}" alt="">
                                        @endif
                                    </a>
                                    @if ($nft->status == Status::NFT_ACTIVE)
                                        <span class="nft-badge badge--info"> @lang('Active') </span>
                                    @elseif ($nft->status == Status::NFT_LISTED)
                                        <span class="nft-badge badge--success"> @lang('Listed') </span>
                                    @else
                                        <span class="nft-badge badge--danger"> @lang('Burned') </span>
                                    @endif
                                </div>
                                <div class="nft-card-two__content">
                                    <div class="d-flex justify-content-between">
                                        <h4 class="nft-card-two__title">
                                            <a href="{{ $nftLink }}">{{ __($nft->name) }}</a>
                                        </h4>
                                        @if ($nft->status != 0)
                                            <div class="nft-card__dots">
                                                <button class="dot" type="button"> <i class="las la-ellipsis-v"></i> </button>
                                                <ul class="ellipsis-dropdown">
                                                    @if ($nft->status == 1)
                                                        <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal sellNft" data-id="{{ $nft->id }}" data-token_id="{{ $nft->token_id }}" type="button">@lang('Sell')</button></li>
                                                        <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal burnNft" data-id="{{ $nft->id }}" data-token_id="{{ $nft->token_id }}" type="button">@lang('Burn')</button></li>
                                                    @elseif ($nft->status == 2)
                                                        <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal unlistNft" data-item_id="{{ $item->itemId }}" type="button">@lang('Unlist')</button></li>
                                                    @endif
                                                    <li class="ellipsis-dropdown__item"><button class="ellipsis-dropdown__button customModal seoInfo" data-nft_id="{{ $nft->id }}" data-meta_title="{{ $nft->meta_title }}" data-meta_description="{{ $nft->meta_description }}" data-meta_keyword="{{ $nft->meta_keyword }}" type="button">@lang('SEO Info')</button></li>
                                                </ul>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="nft-card-two__date d-flex justify-content-between flex-wrap gap-1"> <span class="text">@lang('Created At') </span> <span class="text">{{ showDateTime($nft->created_at, 'd M Y') }}</span>
                                    </div>
                                </div>
                            </div>
                        @empty
                            @include($activeTemplate . 'partials.empty_message', ['message' => 'No nft found.'])
                        @endforelse
                    </div>
                    {{ $nfts->links() }}
                </div>
                <!-- Right Body End -->
            </div>
        </div>
    </div>

    <div class="custom-modal" id="seoInfoModal">
        <button class="custom-modal__close" type="button"><i class="las la-times"></i></button>
        <div class="custom-modal__inner">
            <div class="custom-modal__box">
                <div class="custom-modal__header">
                    <h3 class="custom-modal__title">@lang('Meta Information for SEO')</h3>
                </div>
                <div class="custom-modal__form">
                    <form action="{{ route('user.nft.meta.info.save') }}" method="POST">
                        @csrf
                        <input name="nft_id" type="hidden">
                        <div class="form-group">
                            <label class="form--label"> @lang('Meta Title')</label>
                            <input class="form-control form--control" name="meta_title" type="text">
                        </div>

                        <div class="form-group">
                            <label class="form--label">@lang('Meta Description')</label>
                            <textarea class="form-control form--control" name="meta_description"></textarea>
                        </div>

                        <div class="form-group select2-parent">
                            <label class="form--label"> @lang('Meta Keywords')</label>
                            <select class="form-control select select2-auto-tokenize bg-transparent" name="meta_keyword[]" multiple="multiple"></select>
                            <small class="form-text text-muted">
                                <i class="las la-info-circle"></i>
                                @lang('Type , as separator or hit enter among keywords')
                            </small>
                        </div>

                        <div class="form-group">
                            <button class="btn btn--base w-100" type="submit">@lang('Submit')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    @include($activeTemplate . 'partials.modal.listing_modal')
    @include($activeTemplate . 'partials.modal.burn_modal')
    @include($activeTemplate . 'partials.modal.unlist_modal')
@endsection

@push('script')
    <script>
        (function($) {
            "use strict";
            let seoModal = $('#seoInfoModal');

            $('.seoInfo').on('click', function() {
                let data = $(this).data();
                seoModal.find('[name=nft_id]').val(data.nft_id);
                seoModal.find('[name=meta_title]').val(data.meta_title);
                seoModal.find('[name=meta_description]').val(data.meta_description);
                let meteKeywords = seoModal.find('[name="meta_keyword[]"]').empty();

                if (Array.isArray(data.meta_keyword) && data.meta_keyword.length > 0) {
                    meteKeywords.append(data.meta_keyword.map(value => $('<option>', {
                        value,
                        text: value
                    })));
                    meteKeywords.val(data.meta_keyword);
                }

                meteKeywords.trigger('change');
                seoModal.toggleClass('show');
            });

            $('.select2-auto-tokenize').select2({
                dropdownParent: $('.select2-parent'),
                tags: true,
                tokenSeparators: [',']
            });
        })(jQuery);
    </script>
@endpush

@push('style')
    <style>
        .select2-container--default .select2-selection--multiple {
            border: 1px solid hsl(var(--white) / 0.15) !important;
            background: transparent !important;
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice {
            border: 1px solid hsl(var(--white) / 0.15) !important;
            background: hsl(var(--black) / 0.6);
        }

        .select2-container--default .select2-search--inline .select2-search__field {
            color: hsl(var(--white));
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
            border-right: 1px solid hsl(var(--white) / 0.15) !important;
        }

        .select2-results__option {
            border: 1px solid hsl(var(--white) / 0.15) !important;
            background: hsl(var(--dark));
        }
    </style>
@endpush
