@extends($activeTemplate . 'layouts.frontend')
@section('content')
    @php
        $policyPages = getContent('policy_pages.element', false, null, true);
    @endphp
    <section class="create-nft py-60">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-10">
                    <div class="create-nft__content">
                        <div id="overlay">
                            <div class="cv-spinner">
                                <span class="spinner"></span>
                            </div>
                        </div>
                        <div class="overlay-2" id="overlay2"></div>
                        <div class="create-nft__content-inner position-relative">
                            <h2 class="create-nft__title">{{ __($pageTitle) }}</h2>
                            <form class="mintNft" action="#" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row w-100 gy-4 gx-0 mb-3">
                                    <div class="col-md-6 pe-md-2">
                                        <div class="create-nft-item w-100">
                                            <div class="create-nft-item__content">
                                                <h5 class="form--label">@lang('File') <span class="text--danger">*</span></h5>
                                                <p class="create-nft-item__desc">@lang('File types supported'): {{ $nftSizes->pluck('file_extension')->reject(fn($extension) => $extension === 'gif')->map(fn($extension) => __($extension))->implode(', ') }}</p>
                                            </div>
                                            <div class="box">
                                                <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                                <div class="js--image-preview mainFile"></div>
                                                <div class="upload-options firstUploadOption">
                                                    <label>
                                                        <input class="image-upload" name="file" type="file" accept="{{ $nftSizes->pluck('file_extension')->reject(fn($extension) => $extension === 'gif')->map(fn($extension) => '.' . $extension)->implode(', ') }}" />
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 ps-md-2 secondFile">
                                        <div class="create-nft-item w-100">
                                            <div class="create-nft-item__content">
                                                <h5 class="form--label"><span class="text">@lang('Animation File')</span> <span class="text--danger d-none">*</span></h5>
                                                <p class="create-nft-item__desc">@lang('File types supported'): <span>@lang('GIF')</span></p>
                                            </div>
                                            <div class="box">
                                                <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                                <div class="js--image-preview"></div>
                                                <div class="upload-options">
                                                    <label>
                                                        <input class="image-upload" name="animation" type="file" accept=".gif" />
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="create-nft-item form-group">
                                    <label class="form--label" for="name"> @lang('Name') </label>
                                    <input class="form--control bg-transparent" name="name" type="text" placeholder="@lang('Item Name')" required>
                                </div>
                                <div class="create-nft-item form-group">
                                    <label class="form--label" for="name"> @lang('Category') </label>
                                    <select class="form--control select select2 bg-transparent" name="category" data-minimum-results-for-search="-1" required>
                                        <option value="" hidden>@lang('Select One')</option>
                                        @foreach ($categories as $category)
                                            <option value="{{ $category->id }}">{{ __($category->name) }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="create-nft-item form-group">
                                    <label class="form--label" for="description">@lang('Description')</label>
                                    <textarea class="form--control bg-transparent" name="description" placeholder="@lang('Provide a description of your item.')" required></textarea>
                                </div>

                                <div class="create-nft-item style-two last-bordered-item">
                                    <div class="create-nft-item__content align-items-center">
                                        <div class="create-nft-item__info mb-0">
                                            <span class="create-nft-item__icon"><i class="fas fa-list"></i></span>
                                            <h5 class="create-nft-item__title"> @lang('Custom Data') </h5>
                                        </div>
                                        <button class="create-nft-item__plus addCustomData" type="button"><i class="las la-plus"></i></button>
                                    </div>

                                    <div class="custom-data">
                                        @php
                                            $oldCustomKeys = old('custom.key', []);
                                            $oldCustomValues = old('custom.value', []);
                                        @endphp
                                        @foreach ($oldCustomValues as $key => $value)
                                            <div class="input-group mt-3">
                                                <input class="form-control form--control bg-transparent" name="custom[key][]" type="text" value="{{ $oldCustomKeys[$key] }}" required placeholder="Data Key">
                                                <input class="form-control form--control bg-transparent" name="custom[value][]" type="text" value="{{ $value }}" required placeholder="Data Value">
                                                <button class="btn btn-danger btn-sm removeCustomFieldButton" type="button"><i class="las la-times"></i></button>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                                @if (gs('agree'))
                                    <div class="form-check">
                                        <input class="form-check-input" id="agree" name="agree" type="checkbox" @checked(old('agree')) required>
                                        <label class="form-check-label" for="agree">@lang('I agree with')</label> <span>
                                            @foreach ($policyPages as $policy)
                                                <a class="text--base" href="{{ route('policy.pages', $policy->slug) }}" target="_blank">{{ __($policy->data_values->title) }}</a>
                                                @if (!$loop->last)
                                                    ,
                                                @endif
                                            @endforeach
                                        </span>
                                    </div>
                                @endif

                                <div class="create-nft__button">
                                    <button class="btn btn--base pill w-100 mintBtn text-white" type="submit">@lang('Mint')</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('style')
    <style>
        .upload-options {
            background-image: url("{{ getImage(getFilePath('mintPreview')) }}");
            background-size: 92% 91%;
            background-position: center center;
        }

        .header {
            z-index: 9999992;
        }

        #overlay {
            top: 50%;
        }

        .overlay-2 {
            position: fixed;
        }

        #overlay {
            position: fixed;
        }
    </style>
@endpush

@push('script')
    <script>
        "use strict";
        (function($) {
            var mainFileType = '';
            var defaultImage = `{{ getImage(getFilePath('mintPreview')) }}`;

            let customField = `
                            <div class="input-group mt-3">
                                <input class="form-control form--control bg-transparent" name="custom[key][]" type="text" value="" required placeholder="Data Key">
                                <input class="form-control form--control bg-transparent" name="custom[value][]" type="text" value="" required placeholder="Data Value">
                                <button class="btn btn-danger btn-sm removeCustomFieldButton btn--xsm text-white" type="button"><i class="las la-times"></i></button>
                            </div>
                            `,
                customFieldContainer = $('.custom-data');

            $('.addCustomData').on('click', () => {
                customFieldContainer.append(customField);
            });
            $('body').on('click', '.removeCustomFieldButton', (e) => {
                $(e.target).closest('.input-group').remove();
            });

            let nftSizes = @json($nftSizes);

            $('[name=file]').on('change', function() {
                let selectedFile = $('#file').prop('files')[0];
                fileSizeValidation(selectedFile, 'firstImage');
            });

            $('[name=animation]').on('change', function() {
                let selectedFile = $('#animation').prop('files')[0];
                fileSizeValidation(selectedFile);
            });

            function fileSizeValidation(selectedFile, imageNo = null) {
                if (selectedFile) {
                    let fileType = '';
                    let fileName = selectedFile.name;
                    let fileSize = selectedFile.size / 1024;
                    let extension = fileName.split('.').pop().toLowerCase();
                    let nftSize = nftSizes.find(item => item.file_extension === extension);

                    if (!nftSize) {
                        notify('error', `@lang('File type not supported.')`);
                        return;
                    }

                    if (extension == 'mp4') {
                        let videoPreview = `{{ getImage(getFilePath('videoPreview')) }}`;
                        $('.mainFile').css('background-image', `url(${videoPreview})`).css('z-index', 999999);
                        fileType = 'video';
                        $('.firstUploadOption').css('background-image', `url(${videoPreview})`);
                    } else if (extension == 'mp3') {
                        let audioPreview = `{{ getImage(getFilePath('audioPreview')) }}`;
                        $('.mainFile').css('background-image', `url(${audioPreview})`).css('z-index', 999999);
                        fileType = 'audio';
                        $('.firstUploadOption').css('background-image', `url(${audioPreview})`);
                    } else {
                        fileType = 'image';
                        $('.firstUploadOption').css('background-image', `url(${defaultImage})`);
                    }

                    if (imageNo == 'firstImage') {
                        mainFileType = fileType;
                        if (fileType == 'video' || fileType == 'audio') {
                            $('.secondFile').find('.form--label .text').text(`@lang('Thumb Image')`);
                            $('.secondFile').find('.image-upload').attr('name', 'thumb').attr('accept', '.jpg, .jpeg, .png').prop('required', true);
                            $('.secondFile').find('.text--danger').removeClass('d-none');
                            $('.secondFile').find('.create-nft-item__desc span').text(`@lang('jpg'), @lang('jpeg'), @lang('png')`);
                        } else {
                            $('.secondFile').find('.form--label .text').text(`@lang('Animation File')`);
                            $('.secondFile').find('.image-upload').attr('name', 'animation').attr('accept', '.gif').prop('required', false);
                            $('.secondFile').find('.text--danger').addClass('d-none');
                            $('.secondFile').find('.create-nft-item__desc span').text(`@lang('gif')`);
                        }
                    }

                    if (fileSize > nftSize.max_size) {
                        notify('error', `@lang('Maximum file size ')${nftSize.max_size} @lang('KB for') ${extension}`);
                        return;
                    }
                }
            }

            $('.mintNft').on('submit', function(e) {
                $("#overlay, #overlay2").fadeIn(300);
                e.preventDefault();
                notify('info', 'Minting process starts');
                var formData = new FormData($(this)[0]),
                    categoryId = formData.get('category');

                $.ajax({
                    headers: {
                        "X-CSRF-TOKEN": "{{ csrf_token() }}",
                    },
                    url: "{{ route('user.nft.ipfs.url') }}",
                    method: "POST",
                    data: formData,
                    async: true,
                    processData: false,
                    contentType: false,
                    success: async function(response) {
                        if (response.status == 'error') {
                            notify('error', response.message);
                            $("#overlay, #overlay2").fadeOut(300);
                            return;
                        }
                        notify('info', 'Content uploaded.')
                        notify('warning', 'Please wait for NFT mint process.');
                        await NFT.mint(response.uri, categoryId, mainFileType)
                    }
                });
            });

            $('[name=file], [name=animation]').on('change', function() {
                $(this).closest('.box').find('.remove-image').addClass('d-block');
                $(this).closest('.upload-options').addClass('for-mobile');
            });

            $('.remove-image').on('click', function() {
                $(this).siblings('.js--no-default').css('backgroundImage', `url(${defaultImage})`);
                $('.firstUploadOption').css('background-image', `url(${defaultImage})`);
                $(this).parent('.box').find('.image-upload').val('');
                $(this).removeClass('d-block');
            });

        })(jQuery);
    </script>
@endpush
