@php
    $nftCount = App\Models\Nft::where('user_id', $user->id)
        ->whereHas('category', function ($category) {
            $category->active();
        })
        ->count();
@endphp

<section class="profile-banner style-two">
    <div class="profile-banner__cover">
        <form class="profileFrom" enctype="multipart/form-data">
            <div class="avatar-upload">
                <div class="avatar-preview">
                    <div class="backgroundImage" id="coverBg" style="background-image: url({{ getImage(getFilePath('userCover') . '/' . $user->cover_image, avatar: 'cover') }});">
                    </div>
                </div>
            </div>

            @csrf
            <div class="avatar-buttons">
                <input name="image_type" type="hidden" value="cover_image">
                <div class="avatar-buttons__edit">
                    <div class="avatar-edit">
                        <input name="cover_image" type="file" accept=".png, .jpg, .jpeg" />
                        <label for="cover_image"></label>
                    </div>
                </div>
                <div class="avatar-buttons__check saveBlock d-none">
                    <button class="avatar-icon"><i class="las la-check-circle"></i></button>
                </div>
                <div class="avatar-buttons__close saveBlock d-none">
                    <button class="avatar-icon cancelBtn" data-image_type="cover" type="button"><i class="las la-times"></i></button>
                </div>
            </div>
        </form>

    </div>
    <div class="custom--container">
        <div class="profile-wrapper">
            <form class="profileFrom" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="profile-thumb">
                    <input name="image_type" type="hidden" value="profile_image">
                    <div class="avatar-upload">
                        <div class="avatar-edit">
                            <input name="profile_image" type='file' accept=".png, .jpg, .jpeg" />
                            <label for="profile_image"></label>
                        </div>
                        <div class="avatar-preview">
                            <div class="backgroundImage" id="profileBg" style="background-image: url({{ getImage(getFilePath('userProfile') . '/' . $user->profile_image, avatar: 'profile') }});">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="profile-thumb__save-info saveBlock d-none">
                    <button class="btn btn--dark btn--xsm cancelBtn" data-image_type="profile" type="button">@lang('Cancel')</button>
                    <button class="btn btn--base btn--xsm">@lang('Save')</button>
                </div>
            </form>

            <div class="profile-wrapper__inner">
                <!-- Left Content Start -->
                <div class="profile-content">
                    <div class="profile-content__info">
                        <h4 class="profile-content__username">{{ $user->fullname . '@' . ($user->username ?? showAddress($user->wallet)) }} <x-verified status="{{ $user->kv }}" /></h4>
                        <span class="profile-cntent__name"> <span class="text"> @lang('Joined') </span> <span class="white"> {{ showDateTime($user->created_at, 'F Y') }}</span> </span>
                    </div>
                    <!-- Middle Content Start -->
                    <ul class="profile-info">
                        <li class="profile-info__item">
                            <a class="profile-info__link {{ menuActive('user.follower') }}" href="{{ route('user.follower') }}">
                                <h4 class="profile-info__number">{{ $user->follower_count }}</h4>
                                <span class="profile-info__text">@lang('Follower')</span>
                            </a>
                        </li>
                        <li class="profile-info__item">
                            <a class="profile-info__link {{ menuActive('user.following') }}" href="{{ route('user.following') }}">
                                <h4 class="profile-info__number">{{ $user->following_count }}</h4>
                                <span class="profile-info__text">@lang('Following')</span>
                            </a>
                        </li>
                        <li class="profile-info__item">
                            <a class="profile-info__link {{ menuActive('user.nft.all') }}" href="{{ route('user.nft.all') }}">
                                <h4 class="profile-info__number">{{ $nftCount }}</h4>
                                <span class="profile-info__text">@lang('Total Nfts')</span>
                            </a>
                        </li>

                    </ul>
                    <!-- Right Content Start -->
                </div>

                <div class="profile-right">

                    <div class="social_share nft-card__dots" tabindex="-1">
                        <button class="profile-right__share btn btn--dark nft-card__dots btn--icon circle d-block" type="button"><i class="fas fa-share-alt"></i></button>
                        <ul class="ellipsis-dropdown">
                            <li class="ellipsis-dropdown__item"><a class="ellipsis-dropdown__button" href="https://www.facebook.com/sharer/sharer.php?u={{ urlencode(url()->current()) }}" target="_blank"> <span class="social-icon"><i class="fab fa-facebook-f"></i> </span> @lang('Facebook')</a>
                            </li>
                            <li class="ellipsis-dropdown__item"><a class="ellipsis-dropdown__button" href="https://twitter.com/intent/tweet?text={{ __($user->firstname ? $user->fullname : showAddress($user->wallet)) }}&amp;url={{ urlencode(url()->current()) }}" target="_blank"> <span
                                          class="social-icon"><i class="fab fa-twitter"></i> </span> @lang('Twitter')</a></li>
                            <li class="ellipsis-dropdown__item"><a class="ellipsis-dropdown__button" href="http://www.linkedin.com/shareArticle?mini=true&amp;url={{ urlencode(url()->current()) }}&amp;title={{ __($user->firstname ? $user->fullname : showAddress($user->wallet)) }}&amp;summary=@lang('Public Profile')" target="_blank"> <span class="social-icon"><i class="fab fa-linkedin-in"></i> </span> @lang('Linkedin')</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@push('script')
    <script>
        (function($) {
            "use strict";

            let profileImage = `{{ getImage(getFilePath('userProfile') . '/' . $user->profile_image, avatar: 'profile') }}`;
            let coverImage = `{{ getImage(getFilePath('userCover') . '/' . $user->cover_image, avatar: 'cover') }}`;

            $('[name=profile_image], [name=cover_image]').on('change', function() {
                $(this).closest('form').find('.saveBlock').removeClass('d-none');
            });

            $('.cancelBtn').on('click', function() {
                let imageType = $(this).data('image_type');
                $(this).closest('form').find('.backgroundImage').css('backgroundImage', `url(${imageType == 'profile' ? profileImage : coverImage})`);
                $('.saveBlock').addClass('d-none');
            });

            $('.profileFrom').on('submit', function(e) {
                e.preventDefault();

                let formData = new FormData(this);
                let imageType = $(this).data('image-type');

                $.ajax({
                    type: "POST",
                    url: `{{ route('user.image.save') }}`,
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        notify(response.status, response.message);
                        if (response.status == 'success') {
                            $('.saveBlock').addClass('d-none');
                        }
                    }
                });
            });

        })(jQuery);
    </script>
@endpush
