@extends($activeTemplate . 'layouts.frontend')
@section('content')
    @include($activeTemplate . 'user.profile_banner')
    <section class="profile-setting py-120">
        <div class="container">
            <div class="row justify-content-center gy-4">
                @if ($user->username || $user->email || $user->mobile || $user->firstname || $user->lastname || $user->country_code)
                    <div class="col-lg-5">
                        <div class="profile-card">
                            <h3 class="profile-setting__title"> @lang('Your Information')</h3>
                            <ul class="info-list">
                                @if ($user->username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Username')</strong>
                                        <span class="info-list__item-text right">
                                            <span class="icon"> <i class="las la-user"></i></span><span class="text">{{ $user->username }}</span>
                                        </span>
                                    </li>
                                @endif

                                @if ($user->mobile)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Mobile')</strong>
                                        <span class="info-list__item-text right">
                                            <span class="icon"> <i class="las la-phone"></i></span><span class="text">{{ $user->mobile }}</span>
                                        </span>
                                    </li>
                                @endif

                                @if ($user->email)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Email')</strong>
                                        <span class="info-list__item-text right">
                                            <span class="icon"> <i class="las la-envelope"></i></span>
                                            <span class="text">{{ $user->email }}</span>
                                        </span>
                                    </li>
                                @endif

                                @if ($user->facebook_username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Facebook')</strong>
                                        <a class="info-list__item-text right" href="https://www.facebook.com/{{ $user->facebook_username }}" target="_blank">
                                            <span class="icon"> <i class="lab la-facebook-f"></i></span>
                                            <span class="text text--base fw-500">{{ $user->facebook_username }}</span>
                                        </a>
                                    </li>
                                @endif

                                @if ($user->twitter_username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Twitter')</strong>
                                        <a class="info-list__item-text right" href="https://www.twitter.com/{{ $user->twitter_username }}" target="_blank">
                                            <span class="icon"> <i class="lab la-twitter"></i></span>
                                            <span class="text text--base fw-500">{{ $user->twitter_username }}</span>
                                        </a>
                                    </li>
                                @endif

                                @if ($user->instagram_username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Instagram')</strong>
                                        <a class="info-list__item-text right" href="https://www.instagram.com/{{ $user->instagram_username }}" target="_blank">
                                            <span class="icon"> <i class="lab la-instagram"></i></span>
                                            <span class="text text--base fw-500">{{ $user->instagram_username }}</span>
                                        </a>
                                    </li>
                                @endif

                                @if ($user->pinterest_username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Pinterest')</strong>
                                        <a class="info-list__item-text right" href="https://www.pinterest.com/{{ $user->pinterest_username }}" target="_blank">
                                            <span class="icon"> <i class="lab la-pinterest"></i></span>
                                            <span class="text text--base fw-500">{{ $user->pinterest_username }}</span>
                                        </a>
                                    </li>
                                @endif

                                @if ($user->linkedin_username)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Linkedin')</strong>
                                        <a class="info-list__item-text right" href="https://www.linkedin.com/in/{{ $user->linkedin_username }}" target="_blank">
                                            <span class="icon"> <i class="lab la-linkedin"></i></span>
                                            <span class="text text--base fw-500">{{ $user->linkedin_username }}</span>
                                        </a>
                                    </li>
                                @endif

                                @if ($user->website_url)
                                    <li class="info-list__item">
                                        <strong class="info-list__item-text">@lang('Website')</strong>
                                        <a class="info-list__item-text right" href="{{ $user->website_url }}" target="_blank">
                                            <span class="icon"> <i class="las la-globe"></i></span>
                                            <span class="text text--base fw-500">{{ $user->website_url }}</span>
                                        </a>
                                    </li>
                                @endif
                                <li class="info-list__item">
                                    <strong class="info-list__item-text">@lang('Account Status')</strong>
                                    @if ($user->kv == 1)
                                        <span class="info-list__item-text right" target="_blank">
                                            <span class="icon text--success me-2"> <i class="las la-check"></i></span>
                                            <span class="badge badge--success fw-500">@lang('Verified')</span>
                                        </span>
                                    @else
                                        <span class="info-list__item-text right" target="_blank">
                                            <span class="icon text--warning me-2"> <i class="las la-times"></i></span>
                                            @if ($user->kv == 0)
                                                <span class="badge badge--warning fw-500">@lang('Unverified')</span>
                                                <a class="btn btn--base btn--xsm ms-2 outline" href="{{ route('user.kyc.form') }}">@lang('Verify Now')</a>
                                            @else
                                                <span class="badge badge--warning fw-500">@lang('Pending')</span>
                                                <a class="btn btn--base btn--xsm ms-2 outline" href="{{ route('user.kyc.data') }}">@lang('View Data')</a>
                                            @endif
                                        </span>
                                    @endif
                                </li>
                            </ul>
                        </div>
                    </div>
                @endif
                <div class="col-lg-7">
                    <div class="profile-card">
                        <div id="overlay">
                            <div class="cv-spinner">
                                <span class="spinner"></span>
                            </div>
                        </div>
                        <div class="overlay-2" id="overlay2"></div>
                        <form action="" method="post" enctype="multipart/form-data">
                            <div class="profile-card-inner position-relative">
                                <h3 class="profile-setting__title">{{ __($pageTitle) }}</h3>
                                @csrf
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('First Name') </label>
                                            <input class="form--control bg-transparent" name="firstname" type="text" value="{{ $user->firstname ?? old('fisrstname') }}">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Last Name')</label>
                                            <input class="form--control bg-transparent" name="lastname" type="text" value="{{ $user->lastname ?? old('lastname') }}">
                                        </div>
                                    </div>
                                    @if (!$user->username || !$user->country_code || !$user->mobile)
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form--label"> @lang('Username') </label>
                                                <input class="form--control bg-transparent" name="username" type="text" value="{{ $user->username ?? old('username') }}" @readonly($user->username)>
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form--label" for="name"> @lang('Country') </label>
                                                <select class="form--control select bg-transparent" name="country" {{ $user->sv ? 'disabled' : '' }}>
                                                    @foreach ($countries as $key => $country)
                                                        <option data-mobile_code="{{ $country->dial_code }}" data-code="{{ $key }}" value="{{ $country->country }}" @selected($key == $user->country_code)>{{ __($country->country) }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="{{ $user->sv ? 'col-md-12' : 'col-md-9 col-sm-8 col-xxsm-8' }}">
                                            <div class="form-group">
                                                <label class="form--label"> @lang('Mobile') </label>
                                                <div class="input-group">
                                                    <span class="input-group-text mobile-code"></span>
                                                    <input name="mobile_code" type="hidden">
                                                    <input name="country_code" type="hidden">
                                                    <input class="form--control form-control bg-transparent" name="mobile" type="number" value="{{ $user->mobile ?? old('mobile') }}" {{ $user->sv ? 'readonly' : '' }}>
                                                </div>
                                            </div>
                                        </div>

                                        @if (!$user->mobile)
                                            <div class="col-md-3 col-sm-4 col-xxsm-4 mobile form-group">
                                                <button class="btn btn--base w-100 btn-with-mt mobileOtp" type="button">@lang('Send Otp')</button>
                                            </div>
                                            <div class="col-md-9 col-sm-8 col-xxsm-8 mobile d-none">
                                                <div class="form-group">
                                                    <label class="form--label">@lang('Mobile Otp') </label>
                                                    <input class="form--control mobileOtpCode bg-transparent" type="number">
                                                </div>
                                            </div>
                                            <div class="col-md-3 col-sm-4 col-xxsm-4 form-group mobile d-none">
                                                <button class="btn btn--base w-100 btn-with-mt verifyOtp" data-type="mobile" type="button">@lang('Verify')</button>
                                            </div>
                                        @endif
                                    @endif

                                    @if (!$user->email)
                                        <div class="{{ $user->ev ? 'col-md-12' : 'col-md-9 col-sm-8 col-xxsm-8' }}">
                                            <div class="form-group">
                                                <label class="form--label"> @lang('Email') </label>
                                                <input class="form--control bg-transparent" name="email" type="email" value="{{ $user->email ?? old('email') }}" {{ $user->ev ? 'readonly' : '' }}>
                                            </div>
                                        </div>
                                        @if (!$user->email)
                                            <div class="col-md-3 col-sm-4 col-xxsm-4 form-group">
                                                <button class="btn btn--base emailOtp w-100 btn-with-mt" type="button">@lang('Send Otp')</button>
                                            </div>
                                            <div class="col-md-9 col-sm-8 col-xxsm-8 email d-none">
                                                <div class="form-group">
                                                    <label class="form--label"> @lang('Email Otp') </label>
                                                    <input class="form--control emailOtpCode bg-transparent" type="number">
                                                </div>
                                            </div>
                                            <div class="col-md-3 col-sm-4 col-xxsm-4 form-group email d-none">
                                                <button class="btn btn--base w-100 btn-with-mt verifyOtp" data-type="email" type="button">@lang('Verify')</button>
                                            </div>
                                        @endif
                                    @endif

                                    <div class="col-12">
                                        <div class="social-link style style-two last-bordered-item border-0">
                                            <div class="social-link__content align-items-center">
                                                <div class="social-link__info mb-0">
                                                    <span class="social-link__icon"><i class="fas fa-list"></i></span>
                                                    <h5 class="form--label mb-0"> @lang('Social Links') </h5>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Facebook Username') </label>
                                            <input class="form--control bg-transparent" name="facebook_username" type="text" value="{{ $user->facebook_username ?? old('facebook_username') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Twitter Username') </label>
                                            <input class="form--control bg-transparent" name="twitter_username" type="text" value="{{ $user->twitter_username ?? old('twitter_username') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Instagram Username') </label>
                                            <input class="form--control bg-transparent" name="instagram_username" type="text" value="{{ $user->instagram_username ?? old('instagram_username') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Pinterest Username')</label>
                                            <input class="form--control bg-transparent" name="pinterest_username" type="text" value="{{ $user->pinterest_username ?? old('pinterest_username') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('LinkedIn Username') </label>
                                            <input class="form--control bg-transparent" name="linkedin_username" type="text" value="{{ $user->linkedin_username ?? old('linkedin_username') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form--label"> @lang('Website Url') </label>
                                            <input class="form--control bg-transparent" name="website_url" type="text" value="{{ $user->website_url ?? old('website_url') }}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="profile-details__button mt-4">
                                <button class="btn btn--base w-100 text-white" type="submit">@lang('Submit')</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('style')
    <style>
        #overlay {
            top: 50%;
        }

        .form-group:last-of-type {
            margin-bottom: 20px;
        }
    </style>
@endpush

@push('script')
    <script>
        (function($) {
            "use strict";

            @if ($mobileCode)
                $(`option[data-code={{ $mobileCode }}]`).attr('selected', '');
            @endif

            $('select[name=country]').change(function() {
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            });

            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));

            let mobileNumber = $('[name=mobile]').val();
            mobileNumber = mobileNumber?.replace($('select[name=country] :selected').data('mobile_code'), '');
            $('[name=mobile]').val(mobileNumber);


            $('.emailOtp').on('click', function() {
                let email = $('[name=email]').val();
                let data = {
                    '_token': `{{ csrf_token() }}`,
                    email
                }

                $.ajax({
                    type: "POST",
                    url: `{{ route('user.email.otp.send') }}`,
                    data: data,
                    success: function(response) {
                        notify(response.status, response.message);

                        if (response.status == 'success') {
                            $('.email').removeClass('d-none');
                            $('.emailOtp').text(`@lang('Resend')`);
                        }
                    }
                });
            });

            $('.verifyOtp').on('click', function() {
                let otpType = $(this).data('type');
                let otpCode = otpType == 'mobile' ? $('.mobileOtpCode').val() : $('.emailOtpCode').val();
                let url = `{{ route('user.otp.verify') }}`;
                let data = {
                    '_token': `{{ csrf_token() }}`,
                    'otp_code': otpCode,
                    'otp_type': otpType
                }

                $.ajax({
                    type: "POST",
                    url: url,
                    data: data,
                    success: function(response) {
                        notify(response.status, response.message);
                        if (response.status == 'success') {
                            setTimeout(() => {
                                reloadNow();
                            }, 1000);
                        }
                    }
                });
            });

            $('.mobileOtp').on('click', function() {
                let mobile = $('[name=mobile]').val();
                let countryCode = $('[name=country_code]').val();
                let mobileCode = $('[name=mobile_code]').val();
                let data = {
                    '_token': `{{ csrf_token() }}`,
                    mobile,
                    'country_code': countryCode,
                    'mobile_code': mobileCode
                };

                $.ajax({
                    type: "POST",
                    url: `{{ route('user.mobile.otp.send') }}`,
                    data: data,
                    success: function(response) {
                        notify(response.status, response.message);

                        if (response.status == 'success') {
                            $('.mobile').removeClass('d-none');
                            $('.mobileOtp').text(`@lang('Resend')`);
                        }

                    }
                });
            });


        })(jQuery);
    </script>
@endpush
