@extends($activeTemplate . 'layouts.frontend')

@section('content')
    <div class="py-120">
        <div class="confirmation-loader">
            <div class="cv-spinner">
                <span class="spinner"></span>
            </div>
        </div>
        <div class="confirmation-loader-2 overlay-2"></div>

        <div class="container">
            <div class="accordion custom--accordion style-two" id="accordionExample">
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingOne">
                        <span class="accordion-button">
                            <span class="accordion-header__content">
                                <span class="accordion-header__icon"><i class="fas fa-suitcase-rolling"></i></span>
                                <span class="accordion-header__text">{{ __($pageTitle) }}</span>
                            </span>
                            </button>
                    </h2>
                    <div class="accordion-collapse show collapse">
                        <div class="accordion-body">
                            <div class="accordion-body__content">
                                <div class="scrollable-table">
                                    <table class="table--responsive--xl accordion-table table">
                                        <thead>
                                            <tr>
                                                <th>@lang('Item Name')</th>
                                                <th>@lang('Highest Bid')</th>
                                                <th>@lang('Your Bid')</th>
                                                <th>@lang('Action')</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($items as $item)
                                                <tr>
                                                    <td><a href="{{ route('nft.details', [slug($item->nft->name), encrypt($item->nft->id)]) }}">{{ __($item->nft->name) }}</a></td>
                                                    <td>{{ showAmount($item->bids->first()->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}</td>
                                                    <td>{{ showAmount($item->bids->where('user_id', auth()->id())->first()->amount, 8, exceptZeros: true) }} {{ marketplaceCurrency() }}</td>
                                                    <td>
                                                        <button class="btn btn--base btn--xsm customModal claimBidAmountBtn" data-item_id="{{ $item->itemId }}">@lang('Claim Now')</button>
                                                    </td>
                                                @empty
                                                <tr>
                                                    <td class="not-found text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {{ $items->links() }}
        </div>
    </div>

    @include($activeTemplate . 'partials.modal.claim_modal')
@endsection
