<?php

use Illuminate\Support\Facades\Route;

Route::get('/clear', function () {
    \Illuminate\Support\Facades\Artisan::call('optimize:clear');
});
Route::get('nft/details/{slug}/{id}', 'User\NftController@details')->name('nft.details');
Route::get('marketplace', 'User\ItemController@allList')->name('marketplace');
Route::get('nft/activity', 'User\NftController@nftActivity')->name('nft.activity');
Route::get('categories', 'User\NftController@categories')->name('categories');

Route::controller('SiteController')->group(function () {
    Route::get('profile/{wallet}', 'publicProfile')->name('profile.public');
    Route::get('profile/{wallet}/{follow}', 'profileFollowList')->name('profile.follow');
    Route::post('subscribe', 'subscribe')->name('subscribe');
    Route::get('wishlist', 'wishlist')->name('item.wishlist');
    Route::get('follow', 'follow')->name('follow');

    Route::get('/change/{lang?}', 'changeLanguage')->name('lang');

    Route::get('blogs', 'blogs')->name('blogs');
    Route::get('blog/{slug}', 'blogDetails')->name('blog.details');

    Route::get('cookie-policy', 'cookiePolicy')->name('cookie.policy');
    Route::get('/cookie/accept', 'cookieAccept')->name('cookie.accept');


    Route::get('policy/{slug}', 'policyPages')->name('policy.pages');

    Route::get('placeholder-image/{size}', 'placeholderImage')->withoutMiddleware('maintenance')->name('placeholder.image');
    Route::get('maintenance-mode', 'maintenance')->withoutMiddleware('maintenance')->name('maintenance');

    Route::get('/{slug}', 'pages')->name('pages');
    Route::get('/', 'index')->name('home');
});
